2006-08-17 Thomas Fletcher
	PR 85264 from James Blackburn
	* org/eclipse/cdt/internal/errorparsers/GCCErrorParser.java
 
2006-08-17 Thomas Fletcher
	PR 149428 modified from James Blackburn
	* utils/org/eclipse/cdt/internal/core/model/CModelManager.java

2006-01-26 Mikhail Khodjaiants
	Bug 102043: Console Output Does Not Appear When Launching An Application.
	* utils/org/eclipse/cdt/utils/spawner/Spawner.java

2005-08-30 Alain Magloire
	PR 108202, code from Devin Steffler.
	* parser/org/eclipse/cdt/internal/core/dom/parser/c/GNUCSourceParser.java
	* parser/org/eclipse/cdt/internal/core/do/parser/cpp/GNUCPPSourceParser.java

2005-08-30 Alain Magloire
	PR 107150, code/patch written by Devin Steffler
	* parser/org/eclipse/cdt/internal/core/parser/scanner2/BaseScanner.java

2005-08-12 Chris Wiebe
	Fix PR 106577: NPE in CTags Indexer
	* index/org/eclipse/cdt/internal/core/index/ctagsindexer/CTagsFileReader.java
	* index/org/eclipse/cdt/internal/core/index/ctagsindexer/CTagsIndexAll.java

2005-08-12 Chris Wiebe
	Fix PR 106778: IndexerTypesJob2 painfully slow
	* browser/org/eclipse/cdt/internal/core/browser/cache/IndexerTypesJob2.java
	Fix progress monitor
	* browser/org/eclipse/cdt/internal/core/browser/cache/TypeCacheManager.java

2005-08-11 Chris Wiebe
	Fix PR 104907,106415: type cache always running in background
	* browser/org/eclipse/cdt/core/browser/AllTypesCache.java
	* browser/org/eclipse/cdt/internal/core/browser/cache/TypeCacherJob.java

2005-07-26 Alain Magloire
	Fix PR 100992: IMethod were generated for implementation, we should generate
	IFunction for method defines outside of the class shell.
	* model/org/eclipse/cdt/internal/core/model/CModelBuilder.java

2005-07-22 Alain Magloire
	Fix PR 104908
	* plugin.xml

2005-07-22 Alain Magloire
	Fix the Copyright notice for epl.

2005-07-22 Chris Wiebe
	Fix for PR 104605: MachO parsing
	First pass at optimization. My test case went from >20 minutes to 5 seconds
	* utils/org/eclipse/cdt/utils/macho/MachO.java
	* utils/org/eclipse/cdt/utils/macho/MachOHelper.java
	* utils/org/eclipse/cdt/utils/macho/parser/MachOBinaryObject.java

2005-07-22 Chris Wiebe
	Fix for PR 104725
	* model/org/eclipse/cdt/internal/core/model/BinaryElement.java
	
2005-07-16 Alain Magloire
	Fix for PR 102327: Fire deltas when contentType is changed.
	* model/org/eclipse/cdt/core/model/ICElementDelta.java
	* model/org/eclipse/cdt/internal/core/model/CElementDelta.java
	* model/org/eclipse/cdt/internal/core/model/ContentTypeProcessor.java

2005-07-14 Vladimir Hirsl
	Fix for 103024: NPE in indexerEncoderUtil.nodeInVisitedExternalEheader
	Project was not being set when creating indexer in IndexManager#getDefaultIndexer().
	
	* index/org/eclipse/cdt/core/index/ICDTIndexer.java
	* index/org/eclipse/cdt/internal/core/index/ctagsindexer/CTagsIndexer.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/DOMSourceIndexer.java
	* index/org/eclipse/cdt/internal/core/index/nullindexer/NullIndexer.java
	* index/org/eclipse/cdt/internal/core/search/indexing/IndexManager.java
	* src/org/eclipse/cdt/internal/core/InternalCExtension.java

2005-07-14 Vladimir Hirsl
	Fix for 95826: indexer message "File not indexed because it was not built" won't go away
	Info marker was missing INDEXER_MARKER_ORIGINATOR attribute.
	
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/AbstractIndexerRunner.java

2005-07-13 Vladimir Hirsl
	Fix for PR 103428: IndexerManager leaks elementchangelisteners on reset()
	In case of indexer thread restart after crash/shutdown previous listener is
	deregistered before registering a new one.
	
	* index/org/eclipse/cdt/internal/core/search/indexing/IndexManager.java

2005-07-11 Vladimir Hirsl
	Fix for PR 100585: [Scanner Discovery - Indexer] Indexer not notified of scanner info change
	Change in project/file scanner info will now cause whole project or just affected files
	to be indexed.
	
	* index/org/eclipse/cdt/internal/core/search/indexing/IndexManager.java

2005-07-08 Alain Magloire
	PR 100585:We need to bacth the fire of event.  Actually the CModelOperation needed to be
	change to be aware of nested operation in the same thread.
	* model/org/eclipse/cdt/internal/core/model/BinaryRunner.java
	* model/org/eclipse/cdt/internal/core/model/CElement.java
	* model/org/eclipse/cdt/internal/core/model/CModel.java
	* model/org/eclipse/cdt/internal/core/model/CModelManager.java
	* model/org/eclipse/cdt/internal/core/model/CModelException.java
	* model/org/eclipse/cdt/internal/core/model/ContentTypeProcessor.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryContainerUpdatesOperation.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryStoreChangedOperation.java
	* model/org/eclipse/cdt/internal/core/model/SetPathEntryContainerOperation.java
	* model/org/eclipse/cdt/internal/core/model/TranslationUnit.java
	* model/org/eclipse/cdt/internal/core/model/WorkingCopy.java

2005-07-08 Alain Magloire
	PR 102434: Patch from Chris Wiebe for the MachO parser
	* model/org/eclipse/cdt/internal/core/model/CModelManager.java
	* utils/org/eclipse/cdt/utils/macho/MachO.java

2005-07-06 David Inglis
	fixed bug#102546
	
	* src/org/eclipse/cdt/core/CCorePlugin.java
	* src/org/eclipse/cdt/internal/core/SystemBuildConsole.java
	* plugins.xml

2005-07-05  Alain Magloire
	Fix for PR 102327: ContentType framework.
	* model/org/eclipse/cdt/core/model/CoreModel.java
	* model/org/eclipse/cdt/internal/core/model/ContentTypeProcessor.java
	* model/org/eclipse/cdt/internal/core/model/TranslationUnit.java

2005-07-05  Robert O'Callahan <robert@ocallahan.org>

	fix for bug# 102434
	
	* model/org/eclipse/cdt/internal/model/CModelManager.java
	* util/org/eclipse/cdt/utils/som/parser/SOMParser.java
	* util/org/eclipse/cdt/utils/xcoff/parser/XCOFF32Parser.java
	
2005-07-04 David Inglis
	fix for bug# 101647
	
	* utils/org/eclipse/cdt/utils/elf/Elf.java
	
2005-06-29 Alain Magloire
	Fix for PR 102174 patch from Johane Woo.
	* utils/org/eclipse/cdt/utils/spawner/EnvironmentReader.java

2005-06-29 Alain Magloire
	Patch From Chris Wiebe fix PR 101386
	* utils/org/eclipse/cdt/utils/macho/MachO.java

2005-06-26 Vladimir Hirsl
	Fix for 101344: problem markers are not being removed from header files
	Fixed removing indexer problem markers originally created by indexing 
	header files not included by any source files.
	
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/AbstractIndexerRunner.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/DOMSourceIndexerRunner.java

2005-06-25 Alain Magloire
	Fix PR 91069: BinaryRunner search improvements from Chris Wiebe.
	* model/org/eclipse/cdt/internal/core/model/BinaryRunner.java

2005-06-25 Alain Magloire
	Fix PR 98788: Dealing with templates
	* model/org/eclipse/cdt/core/model/ICElement.java
	+ model/org/eclipse/cdt/core/model/IFunctionTemplate.java
	+ model/org/eclipse/cdt/core/model/IFunctionTemplateDeclaration.java
	+ model/org/eclipse/cdt/core/model/IMethodTemplate.java
	+ model/org/eclipse/cdt/core/model/IMethodTemplateDeclaration.java
	+ model/org/eclipse/cdt/core/model/IStructureTemplate.java
	+ model/org/eclipse/cdt/core/model/IStructureTemplateDeclaration.java
	* model/org/eclipse/cdt/core/model/ITemplate.java

	* model/org/eclipse/cdt/internal/core/model/CModelBuilder.java
	* model/org/eclipse/cdt/internal/core/model/Funtion.java
	* model/org/eclipse/cdt/internal/core/model/FunctionTemplate.java
	* model/org/eclipse/cdt/internal/core/model/Method.java
	* model/org/eclipse/cdt/internal/core/model/MethodTemplate.java
	+ model/org/eclipse/cdt/internal/core/model/MethodTemplateDeclaration.java
	* model/org/eclipse/cdt/internal/core/model/StructureTemplate.java
	+ model/org/eclipse/cdt/internal/core/model/StructureTemplateDeclaration.java
	* model/org/eclipse/cdt/internal/core/model/Template.java

2005-06-22 Vladimir Hirsl
	Fix for PR 93573: "[Indexer] endl references are not added to the DOM index"
	Fixed different encoding of functions references vs. declarations in the index.
	Applied Devin's patch for PR 101114: "[AST Util] Inconsistent string representation 
	of IType elements" with slight modifications.
	Modified JUnit tests accordingly.
	
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/CGenerateIndexVisitor.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/CPPGenerateIndexVisitor.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/IndexVisitorUtil.java
	* parser/org/eclipse/cdt/core/dom/ast/ASTSignatureUtil.java
	* parser/org/eclipse/cdt/core/dom/ast/ASTTypeUtil.java

2005-06-21 Vladimir Hirsl
	Fix for 100598: DOM Indexer encodes weird things when indexing a CPP file in a C project
	Fixed correlation between parser's parser language and indexer visitor.
	
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/CGenerateIndexVisitor.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/DOMSoureIndexerRunner.java

2005-06-20 Vladimir Hirsl
	Completed optimization #2 in PR 91801: [Indexer] Optimize header file visiting/indexing
	Encountered headers are removed before instead of after indexing the whole project, thus
	enabling 'index external headers only once' optimization to be applied for file/directory
	indexing.
	
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/DOMAddFolderToIndex.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/DOMIndexAllProject.java

2005-06-17 Vladimir Hirsl
	Fix for 95174: [Search Engine][DOM AST Indexer] does not find definition of a method
	
	* index/org/eclipse/cdt/internal/core/index/cindexstorage/EntryResult.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/IndexVisitorUtil.java
	* search/org/eclipse/cdt/core/search/DOMSearchUtil.java

2005-06-16 Vladimir Hirsl
	Fix for PR 99433: [Search]  Return parms not part of qualification matching
	Function/methos parameters are now used as a part of search pattern.
	Note: return parameters are NOT used as a part of search pattern. The PR title
	is somewhat missleading.
	
	* index/org/eclipse/cdt/internal/core/index/ctagsindexer/CTagEntry.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/CGenerateIndexVisitor.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/CPPGenerateIndexVisitor.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/IndexEncoderUtil.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/IndexVisitorUtil.java
	* search/org/eclipse/cdt/core/search/BasicSearchMatch.java
	* search/org/eclipse/cdt/core/search/DOMSearchUtil.java
	* search/org/eclipse/cdt/internal/core/search/matching/CSearchPattern.java
	* search/org/eclipse/cdt/internal/core/search/matching/MethodDeclarationPattern.java
			
2005-06-14 David Inglis
	
	Support for older cygpaths - bug # 94702
	
	* utils/org/eclipse/cdt/utils/CygPath.java
	
2005-06-08 Alain Magloire
	Attempt to fix PR 97554
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java

2005-06-08 Alain Magloire
	Move to the IContentTypeManager framework: PR 86645
	* index/org/eclipse/cdt/internal/core/index/sourceindexer/AbstractIndexer.java
	* index/org/eclipse/cdt/internal/core/index/sourceindexer/AddFileToIndex.java
	* index/org/eclipse/cdt/internal/core/index/sourceindexer/AddFolderToIndex.java
	* index/org/eclipse/cdt/internal/core/index/sourceindexer/SourceIndexerRequestor.java
	
	* model/org/eclipse/cdt/core/model/CoreModel.java
	* model/org/eclipse/cdt/core/model/ITranslationUnit.java

	* model/org/eclipse/cdt/internal/core/model/CContainer.java
	* model/org/eclipse/cdt/internal/core/model/CModelManager.java
	+ model/org/eclipse/cdt/internal/core/model/ContentTypeProcessor.java
	* model/org/eclipse/cdt/internal/core/model/CreateWorkingCopyOperation.java
	* model/org/eclipse/cdt/internal/core/model/DeltaProcessor.java
	* model/org/eclipse/cdt/internal/core/model/ExternalTranslationUnit.java
	* model/org/eclipse/cdt/internal/core/model/IncludeReference.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java
	- model/org/eclipse/cdt/internal/core/model/ResolverProcessor.java
	* model/org/eclipse/cdt/internal/core/model/TranslationUnit.java
	* model/org/eclipse/cdt/internal/core/model/WorkingCopy.java

	* plugin.xml
	- schema/CFileType.exsd
	- schema//CFileTypeAssociation.exsd
	- template/cpp_headers

	* search/org/eclipse/cdt/core/search
	* src/org/eclipse/cdt/core/CCorePlugin.java

	- src/org/eclipse/cdt/core/filetype/*
	- src/org/eclipse/cdt/core/internal/filetype/*
	
2005-06-07 Vladimir Hirsl
	Fix for a problem with DOM indexer, where external header files in translation unit's
	inclusion tree were not visited.
	Optimization from Dave; skipping declarations in already visited external headers.
	
	* index/org/eclipse/cdt/internal/core/index/cindexstorage/IndexOutput.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/CGenerateIndexVisitor.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/CPPGenerateIndexVisitor.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/DOMSourceIndexerRunner.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/IndexEncoderUtil.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/IndexVisitorUtil.java
	* index/org/eclipse/cdt/internal/core/index/sourceindexer/SourceIndexer.java

2005-06-03 Vladimir Hirsl
	Fix for PR 93786: DOM Indexer adds local variables to the index
	Other smaller fixes in DOM Indexer domain.
	
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/CGenerateIndexVisitor.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/CPPGenerateIndexVisitor.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/IndexVisitorUtil.java

2005-06-01 Vladimir Hirsl
	Modified DOM indexer to use IIndexEntry hierarchy to store index entries.
	This enables more information to be stored during indexing (modifiers, function sigantures,...)
	Also should address definition/declaration issues raised by Devin.
	
	* index/org/eclipse/cdt/internal/core/index/FunctionEntry.java
	* index/org/eclipse/cdt/internal/core/index/IFunctionEntry.java
	* index/org/eclipse/cdt/internal/core/index/IIndex.java
	* index/org/eclipse/cdt/internal/core/index/ITypeEntry.java
	* index/org/eclipse/cdt/internal/core/index/TypeEntry.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/CGenerateIndexVisitor.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/CPPGenerateIndexVisitor.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/DOMSourceIndexerRunner.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/IndexerOutputWrapper.java
	+ index/org/eclipse/cdt/internal/core/index/domsourceindexer/IndexVisitorUtil.java

2005-05-25 David Inglis
	
	CModel performance improvement: only need to test project existance and nature for ICElement.exists()
	
	* model/org/eclipse/cdt/internal/core/model/CProject.java

2005-05-20 Vladimir Hirsl
	Indexer performance improvement: indexing nodes from external include files only once.
	
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/CGenerateIndexVisitor.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/CPPGenerateIndexVisitor.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/DOMSourceIndexerRunner.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/IndexEncoderUtil.java
	* index/org/eclipse/cdt/internal/core/index/sourceindexer/AddFileToIndex.java
	* index/org/eclipse/cdt/internal/core/index/sourceindexer/SourceIndexer.java
	* index/org/eclipse/cdt/internal/core/index/sourceindexer/SourceIndexerRunner.java

2005-05-19 Vladimir Hirsl
	Final fix for 95641: [Scanner Config] Per file scanner info not available for header files 
	and not compiled source files.
	For include files and source files that are not compiled per file discovered scanner info
	defaults to project's discovered scanner info.
	A new method is added to CoreModel to determine if per resource scanner info is empty.
	This method will take into account effective per file discovered scanner info.

	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/DOMSourceIndexerRunner.java
	* model/org/eclipse/cdt/core/model/CoreModel.java
	* model/org/eclipse/cdt/core/model/IPathEntryContainerExtension.java
	
2005-05-17 Vladimir Hirsl
	Fixed problem marker updating for files that are not indexed due to
	empty scanner info. Some refactoring of problem marker generation code.
	
	* index/org/eclipse/cdt/internal/core/index/ctagsindexer/CTagsIndexerRunner.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/CGenerateIndexVisitor.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/CPPGenerateIndexVisitor.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/DOMSourceIndexerRunner.java
	* index/org/eclipse/cdt/internal/core/index/sourceindexer/AbstractIndexer.java
	* index/org/eclipse/cdt/internal/core/index/sourceindexer/SourceIndexerRequestor.java
	* index/org/eclipse/cdt/internal/core/index/sourceindexer/SourceIndexerRunner.java

2005-05-13 Vladimir Hirsl
	Files with empty scanner info are not indexed anymore.
	Info problem marker is created for each such file.
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/DOMSourceIndexerRunner.java
	* src/org/eclipse/cdt/internal/core/CCorePluginResources.properties
	
	Fix for resolving header file name for #include "..." preprocessor statements.
	(Should use both local and system include paths)
	* parser/org/eclipse/cdt/internal/core/parser/scanner2/BaseScanner.java

2005-05-12 Alain Magloire
	For the per file container, make sure we clean the project info.
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java
	* model/org/eclipse/cdt/core/model/IPathEntryContaienrExtension.java

2005-05-10 Vladimir Hirsl
	Fix for PR 94500: [Path Entry] Problem marker: Invalid project path: DISCOVERED_SCANNER_INFO
	
	* model/org/eclipse/cdt/internal/core/model/PathEntryUtil.java
	
	Fix for infinite loop in LocationMap.createSoleLocation(..). Courtesy of John C.
	
	* parser/org/eclipse/cdt/internal/core/parser/scanner2/LoactionMap.java

2005-05-02 Vladimir Hirsl
	Fix for PR 92599: [Indexer] Remove annotation markers preference from DOMIndexer & friends
	Removed indexer problem markers property page block for DOMIndexer.
	Only inclusion not found preprocessor problem markers are going to be
	generated (there isn't an option in UI to disable/enable them yet).
	Also, fixed deleting of indexer problem markers when indexer is changed.
	
	* index/org/eclipse/cdt/internal/core/index/ctagsindexer/CTagsIndexer.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/CGenerateIndexVisitor.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/CPPGenerateIndexVisitor.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/DOMSourceIndexerRunner.java
	* index/org/eclipse/cdt/internal/core/index/nullindexer/NullIndexer.java
	* index/org/eclipse/cdt/internal/core/index/sourceindexer/SourceIndexer.java
	* index/org/eclipse/cdt/internal/core/search/indexing/IndexManager.java

2005-05-02 Vladimir Hirsl
	Fix for PR 96762: DOM indexer misses some obvious symbols
		Fixed calculation of file locations for names inside macro definitions
		
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/IndexEncoderUtil.java

2005-04-28 Alain Magloire
	Patch from Devlin Steffler
	FIXED 84606- CDT needs to take advantage of background refresh of projects
	* src/org/eclipse/cdt/core/CCorePlugin.java

2005-04-21 Vladimir Hirsl
	Fix for PR 91964: Dom Indexer misses give a friend declaration for forward decls
	    Fixed detection of friend class/struct declaration.
	Fix for PR 92060: [DOM Indexer] for C projects only seems to do macros now
	    Taken a different approach by wrapping calls to IIndexerOutput in anticipation
	    of its soon change.
	
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/CGenerateIndexVisitor.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/CPPGenerateIndexerVisitor.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexerDOMSourceIndexerRunner.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/IndexerEncoderUtil.java
	+ index/org/eclipse/cdt/internal/core/index/domsourceindexer/IndexerOutputWrapper.java

2005-04-15 Vladimir Hirsl
	Fix for PR 91405: Search does not find declarations of printf
	Index entries form include files external to workspace were erroneously stored 
	under compilation unit's file id.
	
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/IndexEncoderUtil.java
	* index/org/eclipse/cdt/internal/core/index/sourceindexer/SourceIndexerRequestor.java

2005-04-11 Vladimir Hirsl
	Fix for PR 90193: Scanner faililng on Local/User paths as provided in Std. Make
	User specified include paths (through the UI) are now created with 
	isSystemInclude attribute set to true.
	
	* model/org/eclipse/cdt/core/model/CoreModel.java

2005-04-08 Vladimir Hirsl
	Added offset and length parameters for index entries.
	Refactoring of AbstractIndexer. Moved old parser specific stuff to the appropriate subclass.
	
	* index/org/eclipse/cdt/internal/core/index/ctagsindexer/CTagsIndexerRunner.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/CGenerateIndexVisitor.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/CPPGenerateIndexVisitor.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/DOMSourceIndexerRunner.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/IndexEncoderUtil.java
	* index/org/eclipse/cdt/internal/core/index/sourceindexer/AbstractIndexer.java
	* index/org/eclipse/cdt/internal/core/index/sourceindexer/SourceIndexerRequestor.java
	* index/org/eclipse/cdt/internal/core/index/sourceindexer/SourceIndexerRunner.java

2005-04-05 Vladimir Hirsl
	Improved filtering of indexer problem markers
	
	* index/org/eclipse/cdt/core/index/IIndexDelta.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/DOMSourceIndexerRunner.java
	* index/org/eclipse/cdt/internal/core/index/impl/IndexDelta.java

2005-03-30 Alain Magloire
	Patch from Alex Chapiro, tentative fix for PR 89662
	* utils/org/eclipse/cdt/utils/spawner/EnvironmentReader.java

2005-03-30 Alain Magloire
	Delay the processing/parsing of the WorkingCopy when creating the workingcopy
	This should speed the opening  of the CEditor.
	PR 74182
	* model/org/eclipse/cdt/internal/core/model/CReateWorkingCipyOperation.java

2005-03-30 Alain Magloire
	PR 88858 implementation.
	* model/org/eclipse/cdt/core/model/CoreModel.java
	* model/org/eclipse/cdt/core/model/IIncludeFileEntry.java
	* model/org/eclipse/cdt/core/model/IMacroFileEntry.java
	* model/org/eclipse/cdt/core/model/IPathEntry.java
	* model/org/eclipse/cdt/core/model/IPathEntryContainerExtension.java
	* model/org/eclipse/cdt/internal/core/model/DefaultPathEntryStore.java
	* model/org/eclipse/cdt/internal/core/model/IncludeFileEntry.java
	* model/org/eclipse/cdt/internal/core/model/MacroFileEntry.java
	* model/org/eclipse/cdt/internal/core/model/PathEntry.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryUtil.java
	* src/org/eclipse/cdt/core/resources/ScannerInfo.java
	* src/org/eclipse/cdt/core/resources/ScannerProvider.java

2005-03-30 Vladimir Hirsl
	Fix for NPE in IndexEncoderUtil.calculateIndexFlags
	
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/IndexEncoderUtil.java

2005-03-29 Vladimir Hirsl
	Problem markers for DOM AST based indexer.
	
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/CGenerateIndexVisitor.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/CPPGenerateIndexVisitor.java
	* index/org/eclipse/cdt/internal/core/index/domsourceindexer/DOMSourceIndexerRunner.java
	* index/org/eclipse/cdt/internal/core/search/indexing/IIndexEncodingConstants.java

2005-03-28 Bogdan Gheorghe
	Modified DeltaProcessor to make use of ICDTIndexer elements when requesting an index for an element.
	Added indextiming option to trace options in CCorePlugin.
	Added new CTagsIndexer
	
	* model/org/eclipse/cdt/internal/core/model/DeltaProcessor.java
	* src/org/eclipse/cdt/core/CCorePlugin.java
	* plugin.xml
	
2005-03-24 Eric ter Haar
	Added some e_machine types and made section reading seek to each section
	before reading encase section records are extended.
	
	* util/org/eclipse/cdt/utils/elf/Elf.java	
	

2005-03-24 Vladimir Hirsl
	New DOM AST based indexer.
	Indexer infrastructure and CPP/C AST visitors.
	Generates the same index as the old one.
	Work in progress: 
		- include directives dependency
		- problem marker generation
	+ index/org/eclipse/cdt/internal/core/index/domsourceindexer/CGenerateIndexVisitor.java
	+ index/org/eclipse/cdt/internal/core/index/domsourceindexer/CPPGenerateIndexVisitor.java
	+ index/org/eclipse/cdt/internal/core/index/domsourceindexer/DOMAddCompilationUnitToIndex.java
	+ index/org/eclipse/cdt/internal/core/index/domsourceindexer/DOMSourceIndexer.java
	+ index/org/eclipse/cdt/internal/core/index/domsourceindexer/DOMSourceIndexerRunner.java
	+ index/org/eclipse/cdt/internal/core/index/domsourceindexer/IndexerEncoderUtil.java
	* index/org/eclipse/cdt/internal/core/index/sourceindexer/AbstractIndexer.java
	* index/org/eclipse/cdt/internal/core/index/sourceindexer/AddCompilationUnitToIndex.java
	* index/org/eclipse/cdt/internal/core/index/sourceindexer/AddFileToIndex.java
	* index/org/eclipse/cdt/internal/core/index/sourceindexer/SourceIndexer.java
	* index/org/eclipse/cdt/internal/core/index/sourceindexer/SourceIndexerRequestor.java
	* index/org/eclipse/cdt/internal/core/index/sourceindexer/SourceIndexerRunner.java
	+ index/org/eclipse/cdt/internal/core/search/indexing/IIndexEncodingConstants.java
	* src/org/eclipse/cdt/core/CCorePlugin.java
	* plugin.xml
	
2005-03-23 Alain Magloire
	Fix PR 87443.
	* model/org/eclipse/cdt/internal/core/model/DeltaProcessor.java

2005-03-23 Alain Magloire
	NPE fix.
	* src/org/eclipse/cdt/internal/core/PathEntryVariableresolver.java

2005-03-23 Alain Magloire
	Optimize the pathentry markers.
	* model/org/eclipse/cdt/internal/core/model/BinaryRunner.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryManger.java

2005-03-23 Vladimir Hirsl
	Moved ConsoleOutputSniffer from make.core plugin. 
	Added minimal console parser interface.
	+ src/org/eclipse/cdt/core/IConsoleParser.java
	+ src/org/eclipse/cdt/internal/core/ConsoleOutputSniffer.java
	
2005-03-19 Alain Magloire
	PR 87336: Did not check if the resource exists.
	* model/org/eclipse/cdt/internal/core/model/Archive.java
	* model/org/eclipse/cdt/internal/core/model/Binary.java

2005-03-18 Alain Magloire
	Export the PathEntry Variable to the outside world.
	* src/org/eclipse/cdt/internal/core/CCorePluginResources.properties
	* src/org/eclipse/cdt/internal/core/PathEntryVariableManager.java
	* src/org/eclipse/cdt/internal/core/PathEntryVariableResolver.java
	* plugin.properties
	* plugin.xml

2005-03-14 Alain Magloire
	Fix NPEs: PathEntryManager should be created first, since it will
	be use by other components.
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java
	* src/org/eclipse/cdt/core/CCorePlugin.java
	* plugin.xml

2005-03-14 Bogdan Gheorghe
	Added a NPE check to path entry manager

	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java
	
2005-03-13 Bogdan Gheorghe
	Added support for new indexer framework
	
	* model/org/eclipse/cdt/core/model/CoreModel.java
	* model/org/eclipse/cdt/internal/core/model/CModelManager.java
	* model/org/eclipse/cdt/internal/core/model/DeltaProcessor.java
	* src/org/eclipse/cdt/core/CCorePlugin.java
	* plugin.xml
	
2005-03-12 Alain Magloire
	Plan item 79518: for PathEntry variable manager.
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java
	* src/org/eclipse/cdt/core/resources/IPathEntryVariableManager.java
	* src/org/eclipse/cdt/core/resources/PathEntryVariableChangeEvent.java
	* src/org/eclipse/cdt/internal/core/PathEntryVariableManager.java

2005-03-03 Alain Magloire
	Part of plan item 79518: for PathEntry variable manager.
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java
	* src/org/eclipse/cdt/core/CCorePlugin.java
	* src/org/eclipse/cdt/core/resources/IPathEntryVariableChangeListener.java
	* src/org/eclipse/cdt/core/resources/IPathEntryVariableManager.java
	* src/org/eclipse/cdt/core/resources/PathEntryVariableManager.java
	* src/org/eclipse/cdt/internal/core/PathEntryVariableManager.java

2005-03-03 Vladimir Hirsl
	Small change for enabling generation of path entry container change events.
	* model/org/eclipse/cdt/core/model/PathEntryContainerChanged.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java

2005-03-02 Alain Magloire
	Fix PR 84527: PathEntryManager marker jobs were start to often.
	* model/org/eclipse/cdt/internla/core/model/PathEntrymanager.java

2005-03-02 Alain Magloire
	Fix for PR 85043: NPE when calling Ar.isARHeader(null);
	* utils/org/eclipse/cdt/utils/elf/AR.java
	* utils/org/eclipse/cdt/utils/macho/AR.java
	* utils/org/elcipse/cdt/utils/som/AR.java
	* utils/org/eclipse/cdt/utils/xcoff/AR.java

2005-02-24 Alain Magloire
	Part of 79596
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java
	* plugin.properties
	
2005-02-21 Alain Magloire
	Adapt the ResolverModel code to the IContentTypeManager.
	* src/orgeclipse/cdt/core/internal/filetype/ResolverModel.java

2005-02-16 Alain Magloire
	Fix for PR 85625, The IBinary info were not remove in the cache.
	* model/org/eclipse/cdt/internal/core/model/DeltaProcessor.java

2004-03-04 Peter Faltaous
	Add e_machine values for X86_64.
	getAttributes(): Add cases for X86_64.
	This fixes the debug configurations dialog which
	otherwise states that no debugger is available.

 	* utils/org/eclipse/cdt/utils/elf/Elf.java:
2005-02-16 Alain Magloire
	Fix PR 74034
	* utils/org/eclipse/cdt/utils/elf/Elf.java

2005-02-15 Alain Magloire
	Fix PR 82856
	* model/org/eclipse/cdt/core/model/IDeclaration.java
	* model/org/eclipse/cdt/core/model/IMacro.java
	* model/org/eclipse/cdt/core/model/IMember.java
	* model/org/eclipse/cdt/core/model/IMethod.java
	* model/org/eclipse/cdt/core/model/INamespace.java
	* model/org/eclipse/cdt/core/model/IStructure.java
	* model/org/eclipse/cdt/core/model/IVariable.java
	* model/org/eclipse/cdt/core/model/IVariableDeclaration.java

2005-02-14 Alain Magloire
	Part of 79596
	* model/org/eclipse/cdt/core/model/CoreModel.java
	* model/org/eclipse/cdt/core/model/IPathEntryContainerExtension.java
	* model/org/eclipse/cdt/core/model/IPathEntryContainerExtensionListener.java
	* model/org/eclipse/cdt/core/model/PathEntryContainerChanged.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java

2005-02-10 Alain Magloire
	Second part of 79596
	* model/org/eclipse/cdt/core/model/IPathEntryContainerExtension.java
	* model/org/eclipse/cdt/core/model/IPathEntryContainerExtensionListener.java
	* model/org/eclipse/cdt/core/model/PathEntryContainerChanged.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java

2005-02-10 Alain Magloire
	Part of the fix for 79596
	* model/org/eclipse/cdt/core/model/CoreModel.java
	* model/org/eclipse/cdt/core/model/IPathEntry.java
	* model/org/eclipse/cdt/core/model/IPathEntryContainerExtension.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java
	* src/org/eclipse/cdt/core/resources/ScannerProvider.java

2005-01-29 Alain Magloire
	Copy the spaces and Newlines.
	* model/org/eclipse/cdt/internal/core/model/CopylementsOperation.java
	* model/org/eclipse/cdt/internal/core/model/DeleteElementsOperation.java

2005-01-28 Alain Magloire
	Operation on translationUnit
	* model/org/eclipse/cdt/core/model/ITranslationUnit.java
	* model/org/eclipse/cdt/internal/core/model/CreateIncludeOperation.java
	* model/org/eclipse/cdt/internal/core/model/CreateNamespaceOperation.java
	* model/org/eclipse/cdt/internal/core/model/CreateUsingOperation.java
	* model/org/eclipse/cdt/internal/core/model/TranslationUnit.java

2005-01-26 Alain Magloire
	The line and offset information should be cache in the SourceManipulationInfo
	* model/org/eclipse/cdt/iternal/core/BinaryElement.java
	* model/org/eclipse/cdt/iternal/core/CElement.java
	* model/org/eclipse/cdt/iternal/core/CModelBuilder.java
	* model/org/eclipse/cdt/iternal/core/Namespace.java
	* model/org/eclipse/cdt/iternal/core/SourceManipulation.java
	* model/org/eclipse/cdt/iternal/core/SourceManipulationInfo.java

2005-01-22 Alain Magloire
	PR 38958
	Part implementation of the CreateXXXOperation classes.
	* model/org/eclipse/cdt/core/model/ICElement.java
	* model/org/eclipse/cdt/core/model/IStructure.java
	* model/org/eclipse/cdt/core/model/IStructureDeclaration.java
	* model/org/eclipse/cdt/internal/core/model/CModelBuiilder.java
	* model/org/eclipse/cdt/internal/core/model/CModelOperation.java
	* model/org/eclipse/cdt/internal/core/model/CopyElementOperation.java
	* model/org/eclipse/cdt/internal/core/model/CreateElementIntTUOperation.java
	* model/org/eclipse/cdt/internal/core/model/CreateFieldOperation.java
	* model/org/eclipse/cdt/internal/core/model/CreateIncludeOperation.java
	* model/org/eclipse/cdt/internal/core/model/CreateMethodOperation.java
	* model/org/eclipse/cdt/internal/core/model/CreateSourceReferenceOperation.java
	* model/org/eclipse/cdt/internal/core/model/FuntionInfo.java
	* model/org/eclipse/cdt/internal/core/model/FuntionDeclaration.java
	* model/org/eclipse/cdt/internal/core/model/Structure.java
	* model/org/eclipse/cdt/internal/core/model/StructureDeclaratin.java
	* model/org/eclipse/cdt/internal/core/model/StructureInfo.java
	* model/org/eclipse/cdt/internal/core/model/MethodInfo.java
	* model/org/eclipse/cdt/internal/core/model/util.java
	* model/org/eclipse/cdt/internal/core/model/SurceManipulationInfo.java
	
2005-01-19 Alain Magloire
	PR 83224
	* model/org/eclipse/cdt/internal/core/model/DeltaProcessor.java

2005-01-19 Alain Magloire
	PR 83151
	* model/org/eclipse/cdt/internal/core/model/DeltaProcessor.java

2005-01-18 David Inglis
	Fixed bug #82705
	
	* src/org/eclipse/cdt/internal/core/CDescriptor.java

2005-01-11 David Inglis

	Fixed NPE bug #82572
	
	* src/org/eclipse/cdt/internal/core/CDescriptor.java
	

2005-01-07 Alain Magloire
	Fix PR 82202
	* model/org/eclipse/cdt/internal/core/model/CElement.java
	* model/org/eclipse/cdt/internal/core/model/Openable.java
	
2004-12-22 Alain Magloire

	On going work to clean cdt.ui from misc. warnings
	and removing the deprecated interfaces in Eclipse-3.1

2004-12-21 Alain Magloire
        purpose: using charset from 'file' to encode in-memory String object into bytes
        modifer: Wu Zhi Qiang
        action:  first get the charset from 'file', then use it 
			to encode the 'buffer.toString()' into bytes
	* src/org/eclipse/cdt/internal/core/model/Util.java

2004-12-09 Alain Magloire
	Fix for 80724: not showing initialized global variables.
	* utils/org/eclipse/cdt/utils/coff/parser/CygwinPEBinaryObject.java

2004-12-10 David Inglis
	Fixed bug #80713
	
	* utils/org/eclipse/cdt/utils/BinaryObjectAdapter.java
	* utils/org/eclipse/cdt/utils/coff/PE.java
	* utils/org/eclipse/cdt/utils/coff/parser/PEBinaryObject.java
	* utils/org/eclipse/cdt/utils/elf/parser/ElfBinaryObject.java
	* utils/org/eclipse/cdt/utils/macho/parser/MachOBinaryObject.java
	* utils/org/eclipse/cdt/utils/som/parser/SOMBinaryObject.java
	* utils/org/eclipse/cdt/utils/xcoff/parser/XCOFFBinaryParser.java	
	
2004-12-09 Alain Magloire
	Fix for 80620
	* utils/org/eclipse/cdt/utils/coff/parser/CygwinPEBinaryObject.java

2004-12-08 Vladimir Hirsl
	Removed some dead code in ReaderThread class.
	* src/org/eclipse/cdt/internal/core/ProcessClosure.java
	
2004-12-02 Alain Magloire
	Fix for PR 40081.
	For Cygwin use NM to get the global variables.
	* utils/org/eclipse/cdt/utils/DefaultGnuToolFactory.java
	* utils/org/eclipse/cdt/utils/IGnuToolFactory.java
	* utils/org/eclipse/cdt/utils/NM.java
	* utils/org/eclipse/cdt/utils/coff/parser/CygwinPEBinaryObject.java
	* utils/org/eclipse/cdt/utils/coff/parser/PEBinaryObject.java
	
2004-11-25 Alain Magloire
	Fix PR 79076
	* utils/org/eclipse/cdt/utils/elf/Elf.java

2004-11-16 Alain Magloire
	FIX for 27663
	* utils/org/eclipse/cdt/utils/pty/PTY.java
	* utils/org/eclipse/cdt/utils/spawner/ProcessFactory.java
	* utils/org/eclipse/cdt/utils/spawner/Spawner.java
	* utils/org/eclipse/cdt/utils/spawner/SpawnerInputStream.java

2004-11-14 Alain Magloire
	Fix for PR 77546.
	Make the error parser manager faster by
	using IResourceProxyVisitor to get the files.
	Use eoParser.findFileName() faster.
	* src/org/eclipse/cdt/core/ErrorParserManager.java
	* src/org/eclipse/cdt/core/internal/errorparsers/GASErrorParser.java
	* src/org/eclipse/cdt/core/internal/errorparsers/GCCErrorParser.java
	* src/org/eclipse/cdt/core/internal/errorparsers/GLDErrorarser.java

2004-11-11 Alain Magloire
	PR 78573, patch from Brad Jarvinen
	* src/org/eclipse/cdt/internal/errorparser/VCErroParser.java

2004-11-11 Alain Magloire
	PR 78570, patch from Brad Jarvinen
	The default VC error parser understands (<line number>) but doesn't understand 
	(<line number>, <column>), which is also a valid VC error output format.
	* src/org/eclipse/cdt/internal/errorparser/VCErroParser.java

2004-11-10 Alain Magloire
	Typo in method IBinaryParser.ISymbol
	* src/org/eclipse/cdt/core/IBinaryParser.java
	* utils/org/eclipse/cdt/utils/Symbol.java

2004-11-10 Alain Magloire
	Fix for PR 78308, on deleting of non-C resources, no deltas
	was fired.

	* model/org/eclipse/cdt/internal/core/model/CModelManager.java

2004-11-05 Alain Magloire
	More framework for the formatter.
	* src/org/eclipse/cdt/core/ToolFactory.java
	* src/org/eclipse/cdt/core/CCorePlugin.java
	* src/org/eclipse/cdt/core/formatter/CodeFormatter.java
	* src/org/eclipse/cdt/core/formatter/CodeFormatterConstants.java
	
2004-11-01 Alain Magloire

	Change to the errorParserManager, ... finally
	- do no reorder the arbitrary the error parsers array
	- if IErrorParser.processLine() return true bail out.

	* src/org/eclipse/cdt/core/ErrorParserManager.java
	* plugin.xml

2004-10-14 David Inglis

	Move BinaryConfig into internal.model was no need to be public, also fixed it to
	be lazy when creating parser interface.
	
	* model/org/eclipse/cdt/internal/core/model/CModelManager.java
	* model/org/eclipse/cdt/internal/core/model/CProject.java
	* src/org/eclipse/cdt/core/BinaryParserConfig.java
	* src/org/eclipse/cdt/core/CCorePlugin.java
	* src/org/eclipse/cdt/core/ICExtensionReference.java	
	* src/org/eclipse/cdt/internal/core/CExtensionReference.java

	Removed 
	* model/org/eclipse/cdt/internal/core/model/BinaryParserConfig.java
	
2004-10-12 Vladimir Hirsl

	Fix for PR 69604 [Templates] Instantiating template with deferred template instance
	Original Andrew's patch + a cleanup of processed deferred instntiations.
	
	* parser/org/eclipse/cdt/internal/core/parser/pst/DeferredTemplateInstance.java
	* parser/org/eclipse/cdt/internal/core/parser/pst/TemplateSymbol

2004-10-06 Vladimir Hirsl

	Fix for PR 75728 [ParserSymbolTable] NPE in TypeInfoProvider.newTypeInfo
	Corrected mappings added to to TemplateSymbol._defnParameterMap
	
	* parser/org/eclipse/cdt/internal/core/parser/ast/TemplateFactory.java
	
	Another NPE fix (caused by the fact that UndefinedTemplateSymbols do not have
	any associated extension objects).
	
	* parser/org/eclipse/cdt/internal/core/parser/ast/complete/CompleteParseASTFactory.java

2004-09-30 Vladimir Hirsl

	Fix for PR 60307 [Templates] Template parameter qualified types not supported
	Added new symbol type: UndefinedTemplateSymbol that represents template paramater
	qualified types. At instantiation the unknown types are replaced with the real ones.
	
	* parser/org/eclipse/cdt/internal/core/parser/Parser.java
	* parser/org/eclipse/cdt/internal/core/parser/ast/complete/ASTNode.java
	* parser/org/eclipse/cdt/internal/core/parser/ast/complete/CompleteParseASTFactory.java
	* parser/org/eclipse/cdt/internal/core/parser/ast/ContainerSymbol.java
	* parser/org/eclipse/cdt/internal/core/parser/ast/IContainerSymbol.java
	* parser/org/eclipse/cdt/internal/core/parser/ast/ParametrizedSymbol.java
	* parser/org/eclipse/cdt/internal/core/parser/ast/ParserSymbolTable.java
	* parser/org/eclipse/cdt/internal/core/parser/ast/TemplateEngine.java
	* parser/org/eclipse/cdt/internal/core/parser/ast/TemplateFactory.java
	+ parser/org/eclipse/cdt/internal/core/parser/ast/UndefinedTemplateSymbol.java
	
	* failures/org/eclipse/cdt/core/parser/failedTests/FailedCompleteParseASTTest.java
	* parser/org/eclipse/cdt/core/parser/tests/CompleteParseASTTemplateTest.java
	* parser/org/eclipse/cdt/core/parser/tests/ParserSymbolTableTest.java
	
2004-09-22 Chris Wiebe

	show warnings instead of errors for invalid filenames
	workaround for bug#24152
	* index/org/eclipse/cdt/internal/core/messages.properties
	* src/org/eclipse/cdt/core/CConventions.java

2004-09-22 Chris Wiebe

	added file naming conventions
	* index/org/eclipse/cdt/internal/core/messages.properties
	* src/org/eclipse/cdt/core/CConventions.java

2004-09-21 Alain Magloire
	* model/org/eclipse/cdt/core/model/IBinary.java
	* model/org/eclipse/cdt/internal/core/model/Archive.java
	* model/org/eclipse/cdt/internal/core/model/Binary.java

2004-09-21 David Inglis

	Lots of changes to the binary parsers
	 - major clean up
	 - remove lots of duplication
	 	- reuse of AR class
	 	- common GnuToolsFactory
	 - fixed IBinaryExecutable/IBinaryShared implementors
	 - improved symbol loading preformance for gnu type parsers.
	 
2004-09-15 Alain Magloire

	Jumbo patch from Artyom Kuanbekov
	PR 69908
	Support for 64 bits

2004-09-14 Alain Magloire
	Try to find the function in the header.
	* model/org/eclipse/cdt/internal/core/model/BinaryElement.java
	* model/org/eclipse/cdt/internal/core/model/BinaryFunction.java
	* model/org/eclipse/cdt/internal/core/model/BinaryModule.java

2004-09-14 Alain Magloire

	Define for the contentType extensions for
	type of files.  Note this is incomplete
	We have to wait for 3.1 when the ContentTypeManger
	to be fully functionnal.

	* plugin.xml

2004-09-10 Alain Magloire

	Remove annoying warnings and prevent the PathEntryManger
	from firing on working Copies.

	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java

2004-09-07 Alain Magloire

	Part of the uncoming work to supply formatting in CDT
	* schema/CodeFormatter.exsd
	* src/org/eclipse/cdt/core/CodePreferenceConstants.java
	* src/org/eclipse/cdt/core/ToolFactory.java
	* src/org/eclipse/cdt/core/formatter/CodeFormatter.java
	* src/org/eclipse/cdt/core/formatter/CodeFormatterConstants.java
	* src/org/eclipse/cdt/internal/core/CCorePreferenceInitializer.java
	* plugin.properties
	* plugin.xml

2004-09-03 Alain Magloire

	Provide the extension for the Core Plugin Preference Initializer.
	* plugin.xml

2004-09-03 Alain Magloire

	Add the BinaryModule to the info.
	* model/org/eclipse/cdt/internal/core/model/BinaryModule.java

2004-09-03 Alain Magloire

	Patch from Patrick Duboy. 72901
	* plugin.xml

2004-09-02 Alain Magloire

	Fix to TranslationUnit.getElement(String).
	* model/org/eclipse/cdt/internal/core/model/TranslationUnit.java
	* model/org/eclipse/cdt/internal/core/model/WorkingCopy.java

2004-09-01 Alain Magloire

	Provide IWorkingCopy.getOriginal(ICElement)
	* model/org/eclipse/cdt/core/model/IWorkingCopy.java
	* model/org/eclipse/cdt/internal/core/model/WorkinCopy.java

2004-08-31 Alain Magloire

	Fix for 72198
	* model/org/eclipse/cdt/internal/core/ExternalTranslationUnit.java
	* model/org/eclipse/cdt/internal/core/TranslationUnit.java

2004-08-27 Alain Magloire

	Fix for 72550.
	* plugin.xml

2004-08-25 Chris Wiebe

	support for matching enclosed type names
	* browser/org/eclipse/cdt/browser/AllTypesCache.java
	* browser/org/eclipse/cdt/browser/IQualifiedTypeName.java
	* browser/org/eclipse/cdt/browser/QualifiedTypeName.java
	* browser/org/eclipse/cdt/internal/core/browser/cache/ITypeCache.java
	* browser/org/eclipse/cdt/internal/core/browser/cache/TypeCache.java

2004-08-25 Chris Wiebe

	add namespace validation to CConventions
	* index/org/eclipse/cdt/internal/core/messages.properties
	* src/org/eclipse/cdt/core/CConventions.java

2004-08-25 Alain Magloire

	Fix for PR 72078
	* model/org/eclipse/cdt/internal/core/mode/CProject.java
	* model/org/eclipse/cdt/internal/core/mode/PathEntryManager.java
	
2004-08-24 Alain Magloire

	Fix for PR 72078
	* model/org/eclipse/cdt/internal/core/model/CModelStatus.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java

2004-08-23 Chris Wiebe

	fix for 68210 - add missing cpp header names
	* org/eclipse/cdt/core/template/cpp_headers

2004-08-23 Alain Magloire

	Fix for 72382
	* src/org/eclipse/cdt/core/internal/filetype/WorkspaceResolver.java

2004-08-21 Alain Magloire

	(Partial, since the indexer is still not aware of this)
	Fix for 66559: Work on the ResolverModel
	* model/org/eclipse/cdt/internal/core/model/ResolverProcessor.java
	* src/org/eclipse/cdt/core/internal/filetype/ResolverModel.java
	* src/org/eclipse/cdt/core/internal/filetype/WorkspaceResolver.java

2004-08-20 Chris Wiebe

	make PathUtil visible
	* browser/org/eclipse/cdt/internal/core/browser/PathUtil.java
	* browser/org/eclipse/cdt/internal/core/browser/TypeReference.java
	* browser/org/eclipse/cdt/internal/core/browser/TypeSearchScope.java

2004-08-18 Alain Magloire

	Work on the ResolverModel, we make the Core Model aware of the changes.
	Noticeable changes ICFileTypeResolver is tied to a container, this change
	things considerably when extending the implementations.  Sam orignal works
	did not with some pros && cons .. this also has pros and cons.

	* model/org/eclipse/cdt/internal/core/model/CModelManager.java
	* model/org/eclipse/cdt/internal/core/model/ResolverProcessor.java

	* src/org/eclipse/cdt/core/filetype/ICFielTypeResolver.java
	* src/org/eclipse/cdt/core/filetype/IResolverChangeListener.java
	* src/org/eclipse/cdt/core/filetype/IResolverModel.java
	* src/org/eclipse/cdt/core/filetype/ResolverChangeEvent.java
	* src/org/eclipse/cdt/core/filetype/ResolverDelta.java

	* src/org/eclipse/cdt/core/internal/filetype/CFileTypeResolver.java
	* src/org/eclipse/cdt/core/internal/filetype/CustomResolver.java
	* src/org/eclipse/cdt/core/internal/filetype/ResolverModel.java
	* src/org/eclipse/cdt/core/internal/filetype/WorkspaceResolver.java
	
2004-08-18 Alain Magloire

	When running the CDescriptorOperation make sure we have an ICDescriptor.

	* src/org/eclipse/cdt/internal/core/CDescriptorManager.java

2004-08-18 Alain Magloire

	The DeltaProcessor should update the sourceRoot also if
	sourceRoot == ICProject

	* model/org/eclipse/cdt/internal/core/model/DeltaProcessor.java

2004-08-18 Chris Wiebe

	fix for bug #71353
	* browser/org/eclipse/cdt/internal/core/browser/cache/TypeCache.java
	* browser/org/eclipse/cdt/internal/core/browser/cache/TypeCacherJob.java

2004-08-15 Chris Wiebe

	make isOnSourceEntry(IPath) public method
	* model/org/eclipse/cdt/core/model/ISourceRoot.java
	* model/org/eclipse/cdt/internal/core/model/SourceRoot.java

2004-08-15 Alain Magloire

	First draft, work in progress.
	Removing ResolveDelta to make the ResolverChange processing easier.
	* src/org/eclipse/cdt/core/filetype/IResolverChangeListener
	* src/org/eclipse/cdt/core/filetype/ResolverChangeEvent.java
	* src/org/eclipse/cdt/core/internal/filetype/CFiletTypeResolver.java
	* src/org/eclipse/cdt/core/internal/filetype/ResolverModel.java

2004-08-13 Chris Wiebe

	Extra functionality in type cache to support new class wizard
	* browser/org/eclipse/cdt/core/browser/AllTypesCache.java
	* browser/org/eclipse/cdt/core/browser/IQualifiedTypeName.java
	* browser/org/eclipse/cdt/core/browser/QualifiedTypeName.java
	* browser/org/eclipse/cdt/core/browser/ITypeInfo.java
	* browser/org/eclipse/cdt/core/browser/TypeInfo.java
	* browser/org/eclipse/cdt/internal/core/browser/cache/ITypeCache.java
	* browser/org/eclipse/cdt/internal/core/browser/cache/TypeCache.java

2004-08-13 Chris Wiebe

	Add findSourceRoot() method needed for class wizard
	* model/org/eclipse/cdt/core/model/ICProject.java
	* model/org/eclipse/cdt/internal/core/model/CProject.java
	
2004-08-09 Bogdan Gheorghe
	Fix for Bug 71115: Double Indexing
	* model/org/eclipse/cdt/internal/core/model/DeltaProcessor.java
	
2004-08-06 Vladimir Hirsl

	A small parser Problem fix after String to char[] optimization.
	* parser/org/eclipse/cdt/internal/core/parser/problem/Problem.java

2004-08-06 Chris Wiebe

	Add scheduling rule to CoreModel.run
	* src/org/eclipse/cdt/core/model/CoreModel.java

2004-07-30 Alain Magloire

	Add the Using-{directive,declaration} part of the Core Model.

	* model/org/eclipse/cdt/core/model/IUsing.java
	* model/org/eclipse/cdt/internal/core/model/CElement.java
	* model/org/eclipse/cdt/internal/core/model/CModelBuilder.java
	* model/org/eclipse/cdt/internal/core/model/Using.java
	
2004-07-28 Tanya Wolff

	Fix for PR 70161: Assembly untranslated in C++ File Types
	* plugin.properties
	* plugin.xml

2004-07-26 Vladimir Hirsl

	HP-UX SOM Binary parser patch

	* utils/org/eclipse/cdt/utils/com/SOM.java

2004-07-20 Alain Magloire
	Fix for PR 70449
	* src/org/eclipse/cdt/core/internal/filetype/ResolverModel.java

2004-07-16 Alain Magloire

	Fix for PR 70255

	* model/org/eclipse/cdt/internal/core/model/Binary.java

2004-07-16 Brad Jarvinen

	Fix Pr 70252

	* src/org/eclipse/cdt/internal/errorparsers/GCCErrorParser.java

2004-07-16 Vladimir Hirsl
	1. Implementation of HP-UX SOM binary parser.
                                                                                                                             
	* utils/org/eclipse/cdt/utils/som/AR.java
	* utils/org/eclipse/cdt/utils/som/SOM.java
                                                                                                                             
	* utils/org/eclipse/cdt/utils/som/parser/ARMember.java
	* utils/org/eclipse/cdt/utils/som/parser/BinaryArchive.java
	* utils/org/eclipse/cdt/utils/som/parser/SOMParser.java
	* utils/org/eclipse/cdt/utils/som/parser/SOMBinaryObject.java
	* utils/org/eclipse/cdt/utils/som/parser/SomSymbol.java
                                                                                                                             
	2. Fixed a slight ommision in XXXBinaryObject classes
                                                                                                                             
	* utils/org/eclipse/cdt/utils/coff/parser/CygwinPEBinaryObject.java
	* utils/org/eclipse/cdt/utils/elf/parser/GNUElfBinaryObject.java
	* utils/org/eclipse/cdt/utils/xcoff/parser/XCOFFBinaryObject.java

2004-07-15 Alain Magloire

	Check for Empty path in the binary and copy the []IPathEntry
	for the manager.

	* model/org/eclipse/cdt/internal/core/model/Binary.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java

2004-07-15 Chris Wiebe

	Initial draft for the type hierarchy view.
	* browser/*

2004-07-06 Bogdan Gheorghe
	Handled the case of CContainer in both updateIndexAddResource and
	updateIndexRemoveResource.
	
	* model/org/eclipse/cdt/internal/core/model/DeltaProcessor.java
	
	
2004-07-06 Hoda Amer
	Fix for PR 68933 : [Content Assist] removes asterisks from parameter prompt
	
2004-6-29 Alain Magloire

	Extend on the fix by Bogdan PR 67656 and
	do not get the children for ADDED/REMOVE case

	* model/org/eclipse/cdt/internal/core/model/DeltaProcessor.java
	
2004-06-28 Bogdan Gheorghe
	Fix for 67656: [Indexer] getting called twice after creating a project with a file system
	* model/org/eclipse/cdt/internal/core/model/DeltaProcessor.java
2004-06-28 Alain Magloire

	Possible fix for 68665
	* model/org/eclipse/cdt/internal/core/model/CElementInfo.java

2004-06-28 Alain Magloire

	Fix for PR 68820.
	* model/org/eclipse/cdt/internal/core/model/DeltaProcessor.java
	* src/org/eclipse/cdt/core/resources/FileStorage.java

2004-06-28 Hoda Amer
	Patch for Keith Campbell, a small fix in CConventions. 
	
2004-06-24 Alain Magloire

	Fix for 68226
	* model/org/eclipse/cdt/internal/core/model/CElementInfo.java

2004-06-22 Alain Magloire
	Part of PR 68246.
	Close the inputstream to release resource handle
	when we done with it, we can not rely on the GC to do it for us.

	* src/org/eclipse/cdt/core/parsre/ParserUtil.java

2004-06-22 Alain Magloire

	Fix the exclusion scheme in IPathEntry.

	* model/org/eclipse/cdt/core/mode/CoreModelUtil.java
	* model/org/eclipse/cdt/internal/core/model/CContainer.java
	* model/org/eclipse/cdt/internal/core/model/Openable.java
	* model/org/eclipse/cdt/internal/core/model/SourceRoot.java

2004-06-21 Alain Magloire

	Big Patch from Vladimir Hirsl
	Implementation of AIX XCOFF32 binary parser.

	* utils/org/eclipse/cdt/utils/xcoff/AR.java
	* utils/org/eclipse/cdt/utils/xcoff/XCoff32.java

	* utils/org/eclipse/cdt/utils/xcoff/parser/ARMember.java
	* utils/org/eclipse/cdt/utils/xcoff/parser/BinaryArchive.java
	* utils/org/eclipse/cdt/utils/xcoff/parser/XCOFF32Parser.java
	* utils/org/eclipse/cdt/utils/xcoff/parser/XCOFFBinaryObject.java
	
2004-06-21 Alain Magloire

	The PathEntryManager was returning the array instead
	of making a copy.  Potentially clients could have
	modified the contents.

	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java
	* model/org/eclipse/cdt/internal/core/model/IMacroEntry.java
	* src/org/eclipse/cdt/core/resources/ScannerProvider.java

2004-06-21 Hoda Amer
	Fix for PR 67696: [I18N] - New Class Wizard does not take project encoding into account when creating files
	Now the encoding is taken into consideration when committing a working copy contents to a file.
	* model/org/eclipse/cdt/internal/core/model/Buffer.java
	* model/org/eclipse/cdt/internal/core/model/WorkingCopy.java
	
2004-06-18 Alain Magloire

	Fix for PR 66108

2004-06-18 Alain Magloire

	This was heavy and lots of files were change.  The problem: to create the CElementInfo we use
	to synchronize of the CModelManager singleton instance, this was handy and allowed us to serialize
	the creation of the proxy info and save in the LRU cache.  Then came Eclipse-3.0 with job spawning
	everywhere, lots of deadlock since the CModelManager was lock and the singleton is the center
	to get all the info.  We use the same scheme as the JDT by using a ThreadLocal class cache
	to collect the information.  We fixed a couple of bug allong the way and probably introduce some.

	The tests were doing something stupid, by creating directly the TranslationUnit:
		new TranslationUnit(project, file);
	This does not work since only the sourceRoot can be the parent
	of a TranslationUnit, the tests are now fix bug we should restrict access of the class in the core model
	after 2.0.

2004-06-18 Andrew Niefer
	- DeltaProcessor.updateIndexRemoveResource() : discard if removing a project, discard index jobs for that project.

2004-06-15 Hoda Amer
	Fix for PR 63207:  ITranslationUnit.getElementAtOffset(i) does not factor in multiple namespace decl
	
2004-06-14 Hoda Amer
	Fix for PR 63243: [Outline View] Missing user defined type if declare variable along with the C++ elem (struct, enum, union)
	
2004-06-11 Alain Magloire

	The IncludeEntry LibraryEntry getFullIncludePath()
	was returning the wrong values sometimes.

	* model/org/eclipse/cdt/internal/core/model/IncludeEntry.java
	* model/org/eclipse/cdt/internal/core/model/LibraryEntry.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java
	
2004-06-10 Hoda Amer
	Fix for PR 65970: [Outline View] Contents of Includes displayed in Outline for STRUCTURAL_PARSE mode
	
2004-06-09 Alain Magloire

	Patch from Sam Rob to resolve 64022

2004-06-09 Alain Magloire

	Make sure to run the PathEntryContainerInitializer.initialize()
	once.
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java

2004-06-09 Hoda Amer
	Fix for PR 62656 : [Saving]  a cpp file after copying/renaming a function in front of a constructor locks Eclipse
	
2004-06-09 David Inglis

	added new ICDescriptor manager method to get a descriptor with the option of creating 
	one if it does not exists.
	
	* src/org/eclipse/cdt/core/ICDescriptorManager.java
	* src/org/eclipse/cdt/core/CCorePlugin.java
	* src/org/eclipse/cdt/internal/core/CDescriptorManager.java
	
2004-06-08 Tanya Wolff

	Fix for I18N defect 66136

	* plugin.properties
	* plugin.xml

2004-0608 Alain Magloire

	Quick workaround for PR 57287.
	* model/org/eclipse/cdt/core/model/CoreModel.java

2004-06-08 Alain Magloire

	Patch from Dirk Dörr.

	* utils/org/eclipse/cdt/utils/elf/Elf.java

2004-06-07 Alain Magloire

	Fix for PR 64090
	model/org/eclipse/cdt/internal/core/model/PathEntryManager.java

2004-06-07 Alain Magloire

	Fix for PR 65633
	* model/org/eclipse/cdt/internal/core/model/CProject.java
	* model/org/eclipse/cdt/internal/core/model/IncludeEntry.java
	* model/org/eclipse/cdt/internal/core/model/LibraryEntry.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java

2004-06-07 Hoda Amer
	Fix for PR 65369 : [CModel] Duplicate namespace declarations in views when namespace defined twice in a file
	
2004-06-07 Alain Magloire

	Fix for PR 65524
	* src/org/eclipse/cdt/core/internal/filetype/ResolverModel.java

2004-06-04 Alain Magloire

	Potential deadlock in CElement.getElementInfo()
	We can no longer synch on CModelMager.  We need
	to do some fine grained lock for the LRU caching.

	* model/org/eclipse/cdt/internal/core/model/CElement.java
	* model/org/eclipse/cdt/internal/core/model/CModelManager.java
	* model/org/eclipse/cdt/internal/core/model/Openable.java

2004-06-03 Alain Magloire

	The Elf class should not depend of GNU
	binutils tools like Addr2line or CPPFilt
	It is an Elf Parser and the needs of those tools
	are now part of IBinaryParser class
	* utils/org/eclipse/cdt/uitls/elf/AR.java
	* utils/org/eclipse/cdt/uitls/elf/Elf.java
	* utils/org/eclipse/cdt/uitls/elf/ElfHelperjava
	* utils/org/eclipse/cdt/uitls/elf/parser/ElfBinaryObject.java

2004-06-01 Alain Magloire

	A release of the CDT was distributed with
	a typ "ELF" instead of "Elf" we provide
	and extension point pointing back to "ELF"
	parser for backward comp.

	* plugin.xml

2004-05-26 Alain Magloire

	Do not generate CElementDelta for pathEntries
	if none were presents previously.

2004-05-26 Alain Magloire

	Jumbo Patch from Chris Wiebe.
	Putting a starting skeleton for C Browsing.

2004-05-25 Alain Magloire
	Update the necessary classes to use the new
	ResolverModel.

2004-05-25 Alain Magloire

	Major Patch from Sam Robb
	bring to a close PR 52864.

2004-05-25 Alain Magloire

	Ask the IScannerInfo for the IResource.

2004-05-25 Alain Magloire

	Provide better orderin of the ScannerProvider.
	The other of the include 
	We need to reorder the include/macros:
	includes the closest match to the resource will come first
	    /project/src/file.c  --> /usr/local/include
	    /project/src         --> /usr/include
	/usr/local/include must come first.
	For the macros the closest symbol will override 
	   /projec/src/file.c --> NDEBUG=1
	   /project/src       --> NDEBUG=0
	We will use NDEBUG=1 only
	
2004-05-21 Alain Magloire
	Remove TranslationUnitProblemFinder, we can not use the same
	approach as the JDT i.e. to reparse.  Parsing is way to costly
	for C/C++ because of the Preprocessor, instead we set the problem
	requestor in the translationUnit.

2004-05-20 Bogdan Gheorghe
	Modified updateCurrentDeltaAndIndex inDeltaProcessor.java to return whether
	we need to traverse a delta's children.
	
2004-05-19 Alain Magloire

	Partial Fix for PR 61341

2004-05-19 Alain Magloire

	Contribution from Sam Robb, for PR 52864.

2004-05-19 Alain Magloire
	Patch contributed by James Langley.
	Let Elf.java recognize Altera?s Nios and Nios II magic numbers.
	The number for Nios II is an official number assigned by SCO,
	the one for Nios was randomly chosen, but doesn't conflict with
	any of the ones already in Elf.java. 
	
	* Elf.java

2004-05-18 Alain Magloire

	Remove warnings and compatibility plugin
	to be full Eclipse-3.0 compliant.

2004-05-11 Alain Magloire

	Preliminary work to get Parser IProblem in the CEditor.

2004-05-07 David Inglis

	Setup a default scanner provider which uses the c path entries.
	
	* src/org/eclipse/cdt/core/CCorePluging.java
	* src/org/eclipse/cdt/core/resources/ScannerProvider.java
	
2004-05-07 Alain Magloire

	Bug in the PathEntyrManager, the container
	entries where not resolved.
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryStore.java

2004-04-04 Alain Magloire

	Race condition causing deadlocks fix.

	* model/org/eclipse/cdt/internal/core/model/CModelManager.java

2004-04-29 Alain Magloire

	Changes to working copy, to be wrap in runnable Plaform
	operation when commiting or destroying the working copy.
	Also changes to the ICElementDelta to be fired in a
	Workspace runnable.

2004-04-28 Alain Magloire

	NPE in the PathEntry.

2004-04-28 Alain Magloire

	Work in Progress for the PathEntry API
	* model/org/eclipse/cdt/core/model/CoreModel.java
	* model/org/eclipse/cdt/core/model/IIncludeEntry.java
	* model/org/eclipse/cdt/internal/core/model/IncludeEntry.java
	* model/org/eclipse/cdt/internal/core/model/LibraryEntry.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java
	* src/org/eclipse/cdt/core/resources/ScannerInfo.java
	* src/org/eclipse/cdt/core/resources/ScannerProvider.java
		
2004-04-27 Alain Magloire

	Fix for PR 60182
	* model/org/eclipse/cdt/internal/core/model/ArchiveContainer.java
	* model/org/eclipse/cdt/internal/core/model/BinarContainer.java
	* model/org/eclipse/cdt/internal/core/model/CContainer.java
	* model/org/eclipse/cdt/internal/core/model/CProject.java
	* model/org/eclipse/cdt/internal/core/model/IncludeReference.java
	* model/org/eclipse/cdt/internal/core/model/Openable.java

2004-04-26 Alain Magloire

	Changes in the PathEntryStore API
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryStore.java
	* src/org/eclipse/cdt/core/resources/IPathEntryStore.java	
	* src/org/eclipse/cdt/core/resources/PathEntryStoreChangedEvent.java	

2004-04-26 Alain Magloire

	Move the persistency of the IPathEntry in a differenct
	class and provide an extension point for it.

	* plugin.xml
	* model/org/eclipse/cdt/internal/core/model/CProject.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryStore.java

	* src/org/eclipe/cdt/core/CCorePlugin.java
	* src/org/eclipse/cdt/internal/core/resources/IPathEntryStore.java
	* src/org/eclipse/cdt/internal/core/resources/IPathEntryStoreListener.java
	* src/org/eclipse/cdt/internal/core/resources/PathEntryStoreChangedEvent.java
2004-04-23 Alain Magloire

	Tentative fix for PR 59098.
	* model/org/eclipse/cdt/internal/core/model/CContainerInfo.java
	* model/org/eclipse/cdt/internal/core/model/CElement.java
	* model/org/eclipse/cdt/internal/core/model/CModelManager.java
	* model/org/eclipse/cdt/internal/core/model/DeltaProcessor.java
	* model/org/eclipse/cdt/internal/core/model/IncludeReference.java


2004-04-23 Alain Magloire

	Moving the work from Sam Robb part of PR 52864, this
	is is only the Core part, UI is still pending.

	* model/org/eclipse/cdt/core/model/CoreModel.java
	* model/org/eclipse/cdt/core/model/ITranslationUnit.java
	* model/org/eclipse/cdt/internal/core/model/BinaryRunner.java
	* model/org/eclipse/cdt/internal/core/model/CContainer.java
	* model/org/eclipse/cdt/internal/core/model/CModel.java
	* model/org/eclipse/cdt/internal/core/model/CModelBuilder.java
	* model/org/eclipse/cdt/internal/core/model/CModelInfo.java
	* model/org/eclipse/cdt/internal/core/model/CModelManager.java
	* model/org/eclipse/cdt/internal/core/model/DeltaProcessor.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java

2004-04-21 Alain Magloire

	Added support for Base Reference Attribute in the PathEntry

	* model/org/eclipse/cdt/core/model/CoreModel.java
	* model/org/eclipse/cdt/core/model/IncludeEntry.java
	* model/org/eclipse/cdt/core/model/ILibraryEntry.java
	* model/org/eclipse/cdt/core/model/IMacroEntry.java
	* model/org/eclipse/cdt/core/model/IPathEntry.java

	* model/org/eclipse/cdt/internal/core/model/APathEntry.java
	* model/org/eclipse/cdt/internal/core/model/IncludeEntry.java
	* model/org/eclipse/cdt/internal/core/model/LibraryEntry.java
	* model/org/eclipse/cdt/internal/core/model/MacroEntry.java
	* model/org/eclipse/cdt/internal/core/model/OutputEntry.java
	* model/org/eclipse/cdt/internal/core/model/PathEntry.java
	* model/org/eclipse/cdt/internal/core/model/SourceEntry.java

2004-04-20 David Inglis
	
	Fixed up some small bugs with the macro paths
	
	* model/org/eclipse/cdt/internal/core/model/MacroEntry.java

	Initialize baseref to always be a Path("")

	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java	
	
2004-04-20 David Inglis

	Added more CModelException throwing in model essentially if the model fails to create
	a info an exception is thrown, it we *not* return null.
	
	to many files changes to list here.....
	
2004-04-20 Alain Magloire

	Fix for PR 59081

	* model/org/eclipse/cdt/internal/core/model/Openable.java

2004-04-19 Alain Magloire

	Fix for PR 59098

	* model/org/eclipse/cdt/internal/core/model/CModel.java
	* model/org/eclipse/cdt/internal/core/model/CProjectInfo.java
	* model/org/eclipse/cdt/internal/core/model/DeltaProcessor.java

2004-04-19 Alain Magloire

	It has become necessary to add exception in the interface
	  IParent.getChildren()
	  IParent.getChildrenOfType()
	  IArchive.getBinaries()
	  IBinary.getBinaries()
	  ...
	Now they throw CModelException.
	Lots of files changed, will not bother enumerated them
	all in the log.

	* model/org/eclipse/cdt/core/IArchive.java
	* model/org/eclipse/cdt/core/IArchiveContainer.java
	* model/org/eclipse/cdt/core/IBinaryContainer.java
	* model/org/eclipse/cdt/core/IBinaryModule.java
	* model/org/eclipse/cdt/core/ICModel.java
	* model/org/eclipse/cdt/core/IParent.java
	* model/org/eclipse/cdt/core/IStructure.java

	* model/org/eclipse/cdt/internal/core/model/*
	* browser/org/eclipse/cdt/core/model/TypeInfo.java
	* search/org/eclipse/cdt/internal/core/search/CSearchScope.java
	* search/org/eclipse/cdt/internal/core/search/CWorkspaceScope.java


2004-04-19 David Inglis

	Fixed dead lock - don't fire descriptor events with descriptor lock
	
	* src/org/eclipse/cdt/internal/core/CDescriptor.java
	
	Added missing PathContainerInitializer extension point
	
	* schema/PathEntryContainerInitializer.exsd
	* plugin.properties
	* plugin.xml
	
	changed log to not wrap core exception in a IStatus but use the IStatus in the exception.
	
	* src/org/eclipse/cdt/core/CCorePlugin.java
	
2004-04-19 David Inglis
	Fixed https://bugs.eclipse.org/bugs/show_bug.cgi?id=58232
	
	* src/org/eclipse/cdt/internal/core/CDescriptor.java
	
2004-04-18 Alain Magloire

	Added a new method in CoreModel to get ITranslationUnit
	for external headers, implementation in CModelManager.
	Changes to IIncludReference and implementations.

	* model/org/eclipse/cdt/core/model/CoreModel.java
	* model/org/eclipse/cdt/core/model/IInludeEntry.java
	* model/org/eclipse/cdt/core/model/IIncludeReference.java
	* model/org/eclipse/cdt/internal/core/model/CModelManager.java
	* model/org/eclipse/cdt/internal/core/model/IncludeReference.java

2004-04-16 Hoda Amer
	Reveresed a change in IParent caused by my previous patch.
	 
2004-04-16 Alain Magloire

	Patch from Sam Robb to cover PR 52864
	* src/org/eclipse/cdt/core/internal/fileType/CFileType.java
	* src/org/eclipse/cdt/core/internal/fileType/CFileTypeResolver.java
	* src/org/eclipse/cdt/core/internal/fileType/CLanguage.java
	* srcorg.eclipse/cdt/core/filetype/ICFileType.java
	* srcorg.eclipse/cdt/core/filetype/ICFileTypeConstants.java
	* srcorg.eclipse/cdt/core/filetype/ICLanguage.java
	* schema/CFileType.exsd
	* schema/CLanguage.exsd
	* plugin.xml

2004-04-16 Hoda Amer
	-CModelBuilder and scalability problems: Starting children list with initial size = 0
	Now 25,000 element Translation unit takes 450 ms in CModelBuilder.
	-Also removed class Parent implemention interface IParent as only elements that 
	could really be parents should implement it.
	
2004-04-15 Alain Magloire

	Archive/BinaryContainer was not cleaned up.

	* model/org/eclipse/cdt/internal/core/model/CModelManager.java
	* model/org/eclipse/cdt/internal/core/model/DeltaProcessor.java

2004-04-15 Alain Magloire

	Fix for PR 58481
	Since TypeInfo shares have some common code
	with the Search the fix was put in the search to.
	The fix is to check the accessibility of the project
	before introspecting it, it may have been deleted.

	* browser/org/eclipse/cdt/internal/core/browser/cache/TypeMatchLocator.java
	* search/org/eclipse/cdt/internal/core/search/matching/MatchLocator.java

	Remove the synchronized it is not necessary and causes
	deadlocks.
	* model/org/eclipse/cdt/internal/core/model/Openable.java

2004-04-14 Alain Magloire

	This is temporary 'till we get the fancy ICType scheme
	added a way to get the extension for assembly files.

	* mode/org/eclipse/cdt/core/model/CoreModel.java

2004-04-14 Andrew Niefer
	updated clients of Parse to have a default implementation for ISourceElementRequestor.acceptFriendDeclaration

2004-04-14 Alain Magloire

	Fix PR 58082, with Patch from Jon Beniston
	* utils/org/eclipse/cdt/utils/elf/Elf.java

2004-04-13 David Inglis

	Since the binary runner and the CModelManager adds binarys we need to make sure
	the child was not already added in the info.
	
	* src/org/eclipse/cdt/internal/core/model/CElementInfo.java

2004-04-13 Alain Magloire

	When encoding the PathEntry, make the "path" attribute project relative if
	projectPath.isPrefixOf(path)

	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java

2004-04-12 Hoda Amer
	CModelBuilder and scalability problems: Building the CModel takes a long time
	when translation unit has lots of children (25,000 children taking ~ 45 sec to build model).
	Revising Parent.addChild() and TranslationUnit.removeChildren() (now 25,000 children taking ~ 160 ms).
	
2004-04-07 David Inglis
	
	Fixed event problem 
	
	* src/org/eclipse/cdt/core/CDescriptorEvent.java
	* src/org/eclipse/cdt/internal/core/CDescriptorManager.java
	
2004-04-07 Alain Magloire

	Using a complete parser is to heavy for the typeInfo
	falling back to structural.

	* browser/org/eclipse/cdt/internal/core/browser/cache/TypeMatchLocator.java

2004-04-06 Alain Magloire

	Cache the values in the info.

	* model/org/eclipse/cdt/internal/core/model/CElement.java
	* model/org/eclipse/cdt/internal/core/model/CProject.java
	* model/org/eclipse/cdt/internal/core/model/CProjectInfo.java
	* model/org/eclipse/cdt//core/model/CoreModel.java
	
2004-04-06 Alain Magloire

	Patch from Chris Wiebe.
	This patch provides some improvements to the Open Type action, such as
	per-file type caching (much faster now) and extra filtering options in
	the dialog.  The non-ui code has also been isolated and moved to
	org.eclipse.cdt.core.browser.
	
	* browser/*

2004-04-06 Alain Magloire

	Patch from Sam Robb covering part of PR #52864
	This is the first effort in making a difference
	between header and source files.

	* template/cpp_headers
	* src/org/eclipse/cdt/core/internal/filetype/CFileType.java
	* src/org/eclipse/cdt/core/internal/filetype/CFileTypeAssociation.java
	* src/org/eclipse/cdt/core/internal/filetype/CFileTypeResolver.java

	* src/org/eclipse/cdt/core/filetype/ICFileType.java
	* src/org/eclipse/cdt/core/filetype/ICFileTypeAssociation.java
	* src/org/eclipse/cdt/core/filetype/ICFileTypeResolver.java
	* src/org/eclipse/cdt/core/filetype/ICFileTypeConstants.java

	* src/org/eclipse/cdt/core/CCorePlugin.java

	* schema/CFileTyp.exsd
	* schema/CFileTypeAssociation.exsd

	* plugin.xml

2004-04-06 Alain Magloire

	Fix possible NPE.

	* model/org/eclipse/cdt/internal/core/model/IncludeRefence.java

2004-04-06 David Inglis
	
	Fixed up syncing of binary runner and ::getBinaries()
	
	* model/org/eclipse/cdt/internal/core/model/BinaryRunner.java

2004-04-04 Alain Magloire

	More support for external headers.
	Cleanup of the CElement.close() calls.

	* model/org/eclipse/cdt/internal/core/model/Archive.java
	* model/org/eclipse/cdt/internal/core/model/Binary.java
	* model/org/eclipse/cdt/internal/core/model/CElement.java
	* model/org/eclipse/cdt/internal/core/model/CModelManager.java
	* model/org/eclipse/cdt/internal/core/model/CProject.java
	* model/org/eclipse/cdt/internal/core/model/DeltaProcessor.java
	* model/org/eclipse/cdt/internal/core/model/ExternaltranslationUnit.java
	* model/org/eclipse/cdt/internal/core/model/IncludeReference.java
	
2004-04-03 Alain Magloire

	Draft work on LibraryReferences and IncludeReferences.

	* model/org/eclipse/cdt/core/model/CoreModel.java
	* model/org/eclipse/cdt/core/model/ICProject.java
	* model/org/eclipse/cdt/core/model/IIncludeEntry.java
	* model/org/eclipse/cdt/core/model/IIncludeReference.java
	* model/org/eclipse/cdt/core/model/ILibararyentry.java
	* model/org/eclipse/cdt/core/model/IPathEntry.java

	* model/org/eclipse/cdt/internal/core/model/APathEntry.java
	* model/org/eclipse/cdt/internal/core/model/CProject.java
	* model/org/eclipse/cdt/internal/core/model/CProjectInfo.java
	* model/org/eclipse/cdt/internal/core/model/IncludeEntry.java
	* model/org/eclipse/cdt/internal/core/model/IncludeReference.java
	* model/org/eclipse/cdt/internal/core/model/LibraryEntry.java
	* model/org/eclipse/cdt/internal/core/model/LibraryReferenceArchive.java
	* model/org/eclipse/cdt/internal/core/model/LibraryReferenceShared.java
	* model/org/eclipse/cdt/internal/core/model/MacroEntry.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java

2004-04-03 Alain Magloire

	Fix for PR 57287

	* model/org/eclipse/cdt/internal/core/model/CModelManager.java
	* model/org/eclipse/cdt/internal/core/model/DeltaProcessor.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java
	
	* model/org/eclipse/cdt/internal/core/model/PEBinaryObject.java

2004-04-02 Alain Magloire

	Use the the Job manager for the binary runner.

	* model/org/eclipse/cdt/internal/core/model/BinaryRunner.java
	* model/org/eclipse/cdt/internal/core/model/CModelManager.java
	* model/org/eclipse/cdt/internal/core/model/CProject.java
	* model/org/eclipse/cdt/internal/core/model/CProjectInfo.java
	* model/org/eclipse/cdt/internal/core/model/LibraryReference.java
	* model/org/eclipse/cdt/internal/core/model/LibraryReferenceArchive.java
	* model/org/eclipse/cdt/internal/core/model/LibraryReferenceShared.java
	* model/org/eclipse/cdt/core/model/ILibraryReference.java

2004-04-02 David Inglis

	Fixed problem with .cdtproject not getting updated.
	
	* src/org/eclipse/cdt/internal/core/CDescriptor.java
	
2004-03-30 Alain Magloire

	Reset the non C Resource when the project is closed.

	* model/org/eclipse/cdt/internal/core/model/DeltaProcessor.java

2004-03-29 David Inglis

	Fixed shutdown problems. https://bugs.eclipse.org/bugs/show_bug.cgi?id=56584
	
	* src/org/eclipse/cdt/core/CCorePlugin.java
	
2004-03-26 David Inglis
	
	Fixed NPE on path reorder
	
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java

2004-03-26 David Inglis

	Refactor to move exclusion matching methods out into public class.
	
	* model/org/eclipse/cdt/core/model/CoreModelUtil.java
	* model/org/eclipse/cdt/internal/core/model/CProject.java
	* model/org/eclipse/cdt/internal/core/model/SourceRoot.java
	* model/org/eclipse/cdt/internal/core/model/Util.java


2004-03-25 David Inglis
	
	Added util class for core model
	
	* src/org/eclipse/cdt/core/model/CoreModelUtil.java
	
2004-03-25 David Inglis

	Update to allow non-owned projects and added better recovery of deleted .cdtprojects via nature id
	
	* src/org/eclipse/cdt/core/ICDescriptorManager.java
	* src/org/eclipse/cdt/internal/core/CCorePluginResources.properties
	* src/org/eclipse/cdt/internal/core/CDescriptor.java
	* src/org/eclipse/cdt/internal/core/CDescriptorManager.java
	* src/org/eclipse/cdt/internal/core/COwner.java
	* src/org/eclipse/cdt/internal/core/COwnerConfiguration.java

2004-03-25 David Inglis

	Fixed up getProcessList to filter on platform.
	
	* src/org/eclipse/cdt/core/CCorePlugin.java
	
	Added schemas for CProject & CBuildConsole 
	
	* plugin.xml
	

2004-03-25 Hoda Amer
	Joined effort with Bogdan: Added a TimeOut class to core.utils 
	that implements a thread to control parser timeout.
	
2004-03-23 Alain Magloire

	An implementation of IScannerInfoProvider on top
	of the IPathEntry.

	* src/org/eclipse/cdt/core/resources/ScannerInfo.java
	* src/org/eclipse/cdt/core/resources/ScannerInfoProvider.java

2004-03-23 Alain Magloire

	Show the objects on the IOuputEntry path should
	be save in the BinaryContainer.

	* model/org/eclipse/cdt/internal/core/model/BinaryContainer.java
	* model/org/eclipse/cdt/internal/core/model/BinaryRunner.java
	* model/org/eclipse/cdt/internal/core/model/CElementDelta.java
	* model/org/eclipse/cdt/internal/core/model/CProject.java
	* model/org/eclipse/cdt/internal/core/model/PathEntry.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java

2004-03-22 Tanya Wolff
	Externalized names of Binary Parsers and Error Parsers
 
	* plugin.xml
	* plugin.properties

2004-03-22 Alain Magloire

	Boost the warning of the compiler and remove
	Unneeded castings.

	* to many to enumerates.

2004-03-22 Alain Magloire

	* model/org/eclipse/cdt/core/model/CoreModel.java
	* model/org/eclipse/cdt/internla/core/model/PathEntryManager.java
	* model/org/eclipse/cdt/internla/core/model/CModelManager.java

2004-03-21 Alain Magloire

	The methods CoreModel.create() are now handle operation.
	Meaning it will generate a ICElement even if the file does
	not exists.  ICModel and ICProject no longer implements
	ICContainer.

	* model/org/eclipse/cdt/core/model/ICModel.java
	* model/org/eclipse/cdt/core/model/ICProject.java

	* model/eclipse/cdt/internal/core/model/CContainer.java
	* model/eclipse/cdt/internal/core/model/CContainerInfo.java
	* model/eclipse/cdt/internal/core/model/CModel.java
	* model/eclipse/cdt/internal/core/model/CModelInfo.java
	* model/eclipse/cdt/internal/core/model/CModelManager.java
	* model/eclipse/cdt/internal/core/model/CProject.java
	* model/eclipse/cdt/internal/core/model/CCProjectInfo.java
	* model/eclipse/cdt/internal/core/model/DeltaProcessor.java

2004-03-19 David Inglis
	
	* model/org/eclipse/cdt/core/model/CoreModel.java
	* model/org/eclipse/cdt/internal/core/model/CModelManager.java
	Removed deprecated method and now use descriptor change events for binary parser change.
	
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java
	Fixed setting raw paths entries to not clear cached until after raw set.

	* src/org/eclipse/cdt/core/CCorePlugin.java
	* src/org/eclipse/cdt/core/ICDescriptorManager.java
	* src/org/eclipse/cdt/core/ICDescriptorOperation.java
	* src/org/eclipse/cdt/internal/core/CDescriptor.java
	* src/org/eclipse/cdt/internal/core/CDescriptorManager.java
	* src/org/eclipse/cdt/internal/core/CExtensionReference.java
	Fixed decriptor file updating to be handling as a job when extensions change.
	Update operation runnable to take project and IProgress.
	Suppress events and saves on initialization.

2004-03-19 Hoda Amer
	The CModelBuilder sets TranslationUnit.isStructureKnown() based on
	both parser errors and IProblems sent to the callback.
	
2004-03-19 David Inglis

	Added logging on failures in CCorePlugin.
	
	* src/org/eclipse/cdt/core/CCorePlugin.java
	
2004-03-19 Alain Magloire

	Correct typos.

	* model/org/eclipse/cdt/core/model/CoreModel.java
	* model/org/eclipse/cdt/internal/core/model/CProject.java
	* model/org/eclipse/cdt/internal/core/model/etPathEntriesOperation.java

2004-03-18 Alain Magloire

	Check for IPathEntry reorder changes.

	* model/org/eclipse/cdt/core/model/ICElementDelta.java
	* model/org/eclipse/cdt/internal/core/model/CContainerInfo.java
	* model/org/eclipse/cdt/internal/core/model/CProjectInfoInfo.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java
	* model/org/eclipse/cdt/internal/core/model/SetPathEntriesOperation.java

2004-03-18 Alain Magloire

	Change in the hierarchy of the core Model:
	ICModel
	   ICProject
	      ISourceRoot
	         IBinary
	         IArchive
	         ITranslatioUnit
	         ICContainer
	The ISourceRoot been added to better separate
	the files.  By default the entire project is the
	SourceRoot.

	* model/org/eclipse/cdt/core/model/CoreModel.java
	* model/org/eclipse/cdt/core/model/ICContainer.java
	* model/org/eclipse/cdt/core/model/ICElement.java
	* model/org/eclipse/cdt/core/model/ICProject.java
	* model/org/eclipse/cdt/core/model/IIncludeEnty.java
	* model/org/eclipse/cdt/core/model/IOutputEntry.java
	* model/org/eclipse/cdt/core/model/IMacroEntry.java
	* model/org/eclipse/cdt/core/model/IParent.java
	* model/org/eclipse/cdt/core/model/ISourceEntry.java
	* model/org/eclipse/cdt/core/model/ISourceRoot.java

	* model/org/eclipse/cdt/internal/core/model/*

2004-03-17 Alain Magloire

	Put the framework in to take advantage of being a
	listener to the ICDescriptor Manager.

	* model/org/eclipse/cdt/core/model/CoreModel.java
	* model/org/eclipse/cdt/core/internal/core/model/CModelManager.java
	* src/org/eclipse/cdt/core/BinaryParserConfig.java
	* src/org/eclipse/cdt/core/CCorePlugin.java

2004-03-17 David Inglis
	
	- Added new ICDescriptorManager providing listerner abilities on ICDescriptor and batch operations
	- Now listen for ondisk modifications and verify and update ICDescriptor
	- Restore .cdtproject if deleted.
	- Handle case where no owner extension exisits for a project.
	- Update .cdtproject file without notification to prevent deadlocking.
	
	Modified
	* plugin.xml
	* src/org/eclipse/cdt/core/CCorePlugin.java
	* src/org/eclipse/cdt/core/ICDescriptor.java
	* src/org/eclipse/cdt/core/ICExtensionReference.java
	* src/org/eclipse/cdt/internal/core/CCorePluginResources.properties
	* src/org/eclipse/cdt/internal/core/CDescriptor.java
	* src/org/eclipse/cdt/internal/core/CDescriptorManager.java
	* src/org/eclipse/cdt/internal/core/CExtensionReference.java
	* src/org/eclipse/cdt/internal/core/COwner.java
	* src/org/eclipse/cdt/internal/core/InternalCExtension.java
	
	New 
	* src/org/eclipse/cdt/core/CDescriptorEvent.java
	* src/org/eclipse/cdt/core/ICDescriptorListener.java
	* src/org/eclipse/cdt/core/ICDescriptorManager.java
	* src/org/eclipse/cdt/core/ICDescriptorOperation.java


2004-03-16 Thomas Fletcher

	- Fix to address PR 45320 where we would mark warnings with
	errors rather than inheriting the warning condition.

	* src/org/eclipse/cdt/internal/errorparsers/GCCErrorParser.java

2004-03-12 David Inglis

	Improved IConsole API to support multiple streams.
	
	* src/org/eclipse/cdt/core/CCorePlugin.java
	* src/org/eclipse/cdt/core/ConsoleOutputStream.java
	* src/org/eclipse/cdt/core/resources/IConsole.java

2004-03-09 David Inglis
	
	Don't error in CDescriptorManager.configure() when project is created twice with the same owner id.

	* src/org/eclipse/cdt/internal/core/CDescriptorManager.java

2004-03-09 Alain Magloire

	Patch from Chris Wiebe
	CConventions.validateClassName() where the
	scope resolution operator :: is parsed incorrectly.

	* src/org/eclipse/cdt/core/CConventions.java

2004-03-08 Alain Magloire

	In the Editor if the changes are discarded i.e.
	closing the editor whitout saving.  We do not update
	the working copy or rathe we do not discard the change
	and fire an event to the listeners.  Now we do but it
	can still be a problem since the destroy becomes heavy
	wieght and it is not wrap around a Workspace operation.
	Fire the event at destroy will have to do for now.

	* model/org/eclipse/cdt/internal/core/model/WorkingCopy.java

2004-03-08 Hoda Amer
	Partial fix for bug#52948 : Content Assist: typedef-ed types do not appear in the completion list.
	
2004-03-04 Alain Magloire

	Large cleanup(?) of the BinaryParser classes.
	They now extends IAdaptable.

	* src/org/eclipse/cdt/core/IBinaryParser.java
	* utils/org/eclipse/cdt/utils/BinaryFile.java
	* utils/org/eclipse/cdt/utils/BinaryObjectAdapter.java
	* utils/org/eclipse/cdt/utils/Symbol.java
	* utils/org/eclipse/cdt/utils/elf/parser/ElfBinaryObject.java
	* utils/org/eclipse/cdt/utils/elf/parser/GNUElfBinaryObject.java
	* utils/org/eclipse/cdt/utils/coff/parser/PEBinaryObject.java
	* utils/org/eclipse/cdt/utils/coff/parser/CygwinPEBinaryObject.java
	
2004-03-04 Hoda Amer
	The CModelBuilder is reporting to the TranslationUnit 
	whether parsing was successful or not.
	
2004-03-03 Alain Magloire

	When changing the BinaryParser the BinaryRunners
	were not restarted.

	* model/org/eclipse/cdt/iternal/core/model/CModelManager.java

2004-03-03 Alain Magloire

	From Sean Sevoy.  Fix to VCErrorParser.java
	PR 53253.

	* src/org/eclipse/cdt/internal/errorparsers/VCErrorParser.java

2004-03-03 Hoda Amer
	A fix for getChildren() to check if the getElementInfo() is null
	
2004-03-03 Alain Magloire

	Note from Brent Nicolle PR 53520.
	The filname for the extension should be
	"cdtproject" not ".cdtproject"

	* plugin.xml

2004-03-02 Alain Magloire

	Work to make it possible to set more the one binaryParser
	per project. Note that the UI is not yet enabled.

	* model/org/eclipse/cdt/internal/core/model/CModelManager.java
	* model/org/eclipse/cdt/internal/core/model/CProject.java
	* src/org/eclipse/cdt/core/CCorePlugin.java

2004-03-01 Andrew Niefer
	externalize strings : Bug 53123 

2004-03-01 Hoda Amer
	Removing the "empty" array in the CElement that was not used anywhere !
	
2004-03-01 Alain Magloire

	Fix to PR 53253. From Steve Garbarini

	* src/org/eclipse/cdt/internal/errorparsers/VCErrorParser.java

2004-03-01 Alain Magloire

	Patch from Uwe Stieber
	PR #53323 extending the implementation of Addr2line/CPPFilt and Objdump.

	* utils/org/eclipse/cdt/utils/Addr2line.java
	* utils/org/eclipse/cdt/utils/CPPFil.java
	* utils/org/eclipse/cdt/utils/Objdump.java

2004-02-29 Alain Magloire

	Performance improvements in the Deltaprocessing
	In the CContainerInfo.nonCResources() do not try
	to recreate the ICElement.
	Fire Deltas when Binaries are deleted to update
	the BinaryContainer.
	The DeltaProcessor was close()ing the Openable
	uncessary leading to performance lost.

	* model/org/eclipse/cdt/internal/core/model/CContainerInfo.java
	* model/org/eclipse/cdt/internal/core/model/CModelManager.java
	* model/org/eclipse/cdt/internal/core/model/DeltaProcessor.java

	* model/org/eclipse/cdt/internal/core/model/Binary.java
	* model/org/eclipse/cdt/internal/core/model/Archive.java

2004-02-28 Alain Magloire
	Fix PE Parser

	* utils/org/eclipse/cdt/utils/coff/Exe.jva
	* utils/org/eclipse/cdt/utils/coff/PE.java
	* utils/org/eclipse/cdt/utils/coff/ReadMemoryAccess.java
	* utils/rg/eclipse/cdt/utils/coff/parser/PEParser.java

2004-02-28 Alain Magloire

	New method in ICElement
		ICElement.getAncestor(int ancestorType);
	Better implementation of ICElement.getElementAtOffset(int)

	* model/org/eclipse/cdt/core/model/ICElement.java
	* model/org/eclipse/cdt/internal/core/model/CElement.java
	* model/org/eclipse/cdt/internal/core/model/TranslationUnit.java

2004-02-27 Hoda Amer
	Fixed [Bug 53074] The CView to update with each reconcile
	Added the ability for CView to update based on the translation unit working copy
	if one exists.	

2004-02-27 Alain Magloire

	By "popular" demand, put back
		IBinaryParser.getBinary(IPath path)
	method on the binary parser.

	* model/org/eclpse/cdt/internal/core/model/CProject.java
	* model/org/eclpse/cdt/internal/core/model/NullBinaryParser.java
	* src/org/eclipse/cdt/core/IBinaryParser.java
	* utils/org/eclipse/cdt/utils/coff/parser/PEParser.java
	* utils/org/eclipse/cdt/utils/elf/parser/ElfParser.java

	Removed the unused ElfParsers id.

	* model/org/eclipse/cdt/internal/core/model/parser/ElfParser.java
	* model/org/eclipse/cdt/internal/core/model/parser/PEParser.java
	
	* plugin.xml

2004-02-27 Alain Magloire

	Performance improvement in the IBinaryParser and
	changes in the API according to the specs.
	Now we have:
		IBinaryParser.getBinary(byte[] hints, IPath path);
	This is important when having multiple parsers on
	the same project.  We provide a bucket/hints for the parser
	to guess the type of file and reduce the number of open()s.

	* model/org/eclipse/cdt/internal/core/model/CModelManager.java
	* model/org/eclipse/cdt/internal/core/model/CProject.java
	* model/org/eclipse/cdt/internal/core/model/NullBinaryParser.java
	* src/org/eclipse/cdt/core/IBinaryParser.java
	* utils/org/eclipse/cdt/utils/coff/Coff.java
	* utils/org/eclipse/cdt/utils/coff/PE.java
	* utils/org/eclipse/cdt/utils/coff/PEArchive.java
	* utils/org/eclipse/cdt/utils/coff/parser/CygwinPEParser.java
	* utils/org/eclipse/cdt/utils/coff/PEParser.java
	* utils/org/eclipse/cdt/utils/elf/Elf.java
	* utils/org/eclipse/cdt/utils/elf/parser/ElfParser.java
	* utils/org/eclipse/cdt/utils/elf/parser/GNUElfParser.java

2004-02-26 Andrew Niefer
	Mark strings that don't need to be externalized for translation

2004-02-26 Alain Magloire

	To catch with the documentation change to ICElementDelta
	field flags

	* model/org/eclipse/cdt/core/model/ICElementDelta.java
	* model/org/eclipse/cdt/internal/core/model/CElementDelta.java
	* model/org/eclipse/cdt/internal/core/model/CProject.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java
	
2004-02-25 Alain Magloire

	Path from Chris Wiebe to deal with PR 52128

	* src/org/eclipse/cdt/core/resources/FileStorage.java

2004-02-24 Alain Magloire

	Fix for PR 52562 From Alex Chapiro

	* utils/org/eclipse/cdt/utils/spawner/EnvironmentReader.java

2004-02-24 Alain Magloire
	Fix for PR 52790
	For "Windows 98" fall back to Runtime.exec(..)
	Spawner does not work on this platfrom

	* utils/org/eclipse/cdt/utils/spawner.java

2004-02-24 Alain Magloire

	Bug fix the binary runner thread could get interrupted
	on shutdown we should check:
		Thread.getCurrentThread().isInterrupted()
	and bring down the thread.

	* model/org/eclipse/cdt/internal/core/model/BinaryRunner.java

2004-02-23 Alain Magloire

	Another refactoring, to make the API lighter
	move the the getPath() method to the base IPathEntry class
	Too many files to enumerate(JDT refactoris ... is great!)

2004-02-23 Alain Magloire

	Support for IPathEntry deltas in the ICElementDelta

	* model/org/eclipse/cdt/core/model/CoreModel.java
	* model/org/eclipse/cdt/core/model/ICElementDelta.java
	* model/org/eclipse/cdt/internal/core/model/CElementDelta.java
	* model/org/eclipse/cdt/internal/core/model/IncludeEntry.java
	* model/org/eclipse/cdt/internal/core/model/PathEntryManager.java

2004-02-22 John Camelon
	Fixed CModelManager.isValidTranslationUnitName() regression.  

2004-02-21 Alain Magloire

	Refactor the ICPathEntry to IPathEntry for consistency.
	Regroup the IPathEntry helper methods in PathEntryManager
	To much files change in the refactoring to enumerate.

2004-02-17 David Inglis
	Fix PR 52095
	
	* utils/org/eclipse/cdt/utils/elf/Elf.java
	* utils/org/eclipse/cdt/utils/ElfParser.java
	
2004-02-16 Alain Magloire

	Added new method getElementAtOffset(), with implementation
	Possible classCastException in Translation.equals() corrected.
	* model/org/eclipse/cdt/core/model/ITranslationUnit.java
	* model/org/eclipse/cdt/internal/core/model/TranslationUnit.java

	CElement.exists() was doing the test by checking
	if we add a corresponding resource.  We change that
	instead by looking if we have a valid CElementInfo.
	* model/org/eclipse/cdt/internal/core/model/CElement.java
2004-02-10 Tanya Wolff
    Start of Fix for 51192: The defect is for all org.eclipse.cdt.core strings, but each package
    should be handled by respective component owners. 
    
    These files have strings extracted; the other
    changed files have only strings commented out with //$NON-NLS-1$
    See defect 51192 for how these strings were extracted with the 
    "Find strings to externalize" wizard.
    
    model/org.eclipse.cdt.internal.core.model/ArchiveContainer.java
    model/org.eclipse.cdt.internal.core.model/BinaryContainer.java
    model/org.eclipse.cdt.internal.core.model/BinaryRunner.java
    model/org.eclipse.cdt.internal.core.model/CModelBuilder.java
    model/org.eclipse.cdt.internal.core.model/CModelStatus.java
    model/org.eclipse.cdt.internal.core.model/NullBinaryParser.java    
   
2004-02-10 Vladimir Hirsl
	Fix for PR# 51373: NPE when trying to instantiate a CBuildConsole with non null id

2004-02-06 Hoda Amer
	Fix for Bug#51208: NullPointerException in CModelBuilder
	
2004-02-05 Alain Magloire
                                                                                                                             
    PR 50810
    Coff format the String Table section may have incorrect value.
    We should guard against it.
                                                                                                                             
    * utils/org/eclipse/cdt/utils/Coff.java
    * utils/org/eclipse/cdt/utils/PE.java
                                                                                                                             
    Cache the IBinaryArchive class so not to reload again.
    * model/org/eclipse/cdt/internal/core/model/Archive.java
    * model/org/eclipse/cdt/internal/core/model/CModelManager.java

2004-02-03 Alain Magloire
	PR 51143

	In testing the duplication of errors, we did not look at the right
	severity.

	* src/org/eclipse/cdt/core/resources/ACBuilder.java

2004-01-29 Alain Magloire

	PR #50846 and patch from Alex Chapiro

	* utils/org/eclipse/cdt/utils/spawner/EnvironmentReader.java

2004-01-26 John Camelon
	Updated clients to use new Scanner logging service.
	
2004-01-06 Alain Magloire

	Simple draft implementation of  debug format parsing.
	Not ready.

	* utils/org/eclipse/cdt/utils/debug: New package implementing
	a generic debug callback.

2004-01-21  Anthony Green
  
	PR 50397.
 
	* utils/org/eclipse/cdt/utils/elf/Elf.java: Add some ELF machine
	magic numbers.
	RS6000 is ppc, not mips.  Fix some typos.
 
2004-01-20 Alain Magloire

	To remove the hardcoded "objdump" we had to lay
	down some infrastructure.  This is base on ideas/patch
	from Chris Songer.  The idea is to define in the IToolsProvider
	the Objdump class and reuse it to implement IBinaryFile.getContents().
	Next step is to come up with ObjdumpEditor, to go this route
	will be more flexible.

	* model/org/eclipse/cdt/internal/core/model/Binary.java
	* utils/org/eclipse/cdt/utils/CygwinToolsProvider.java
	* utils/org/eclipse/cdt/utils/ToolsProvider.java
	* utils/org/eclipse/cdt/utils/Objdump.java
	* utils/org/eclipse/cdt/utils/IToolsProvider.java
	* utils/org/eclipse/cdt/utils/coff/parser/CygwinPEParser.java
	* utils/org/eclipse/cdt/utils/coff/parser/BinaryFile.java
	* utils/org/eclipse/cdt/utils/elf/parser/BinaryFilejava
	* utils/org/eclipse/cdt/utils/elf/parser/GNUElfParser.java

2004-01-19 John Camelon
	Updated CModelBuilder to access line number information from IASTOffsetableElement.

2004-01-16 Hoda Amer
	Solution to bug#47552: IEnumerator#getConstantExpression is always empty
	
2004-01-15 Hoda Amer
	Moved Content Assist log to the UI plugin
	
2004-01-13 Alain Magloire

	Small fix on in the elf parser, we have to check for 
	Elf.Symbol.SHN_HIPROC, Elf.Symbol.SHN_LOPROC
	that the st_shndx field is not is in this range.

	* utils/org/eclipse/cdt/utils/elf/ElfHelper.java

2004-1-5 David Inglis
	
	PR 49851
	Fixed deadlock when binary parser was changed while binary runner was running
	for that project.
	
	* model/org/eclipse/cdt/internal/core/model/CModelManager.java

2004-01-09 Alain Magloire

	* utils/org/eclipse/cdt/utils/coff/parser/BinaryObject.java
	Fix bug in finding the symbols.
	* utils/org/eclipse/cdt/utils/coff/parser/Symbol.java
	Implement ISymbol.java

2004-01-09 Alain Magloire

	* src/org/eclipse/cdt/core/IBinaryParser.java
	Added ISymbol.getSize().
	* utils/org/eclipse/cdt/utils/elf/Elf.java
	Fix bug in finding the symbols.
	* utils/org/eclipse/cdt/utils/elf/parser/BinaryObject.java
	Fix bug in finding the symbols.
	* utils/org/eclipse/cdt/utils/elf/parser/Symbol.java
	Implement ISymbol.java
	* utils/org/eclipse/cdt/utils/stabs/Stabs.java
	New Methods.
	* utils/org/eclipse/cdt/utils/stabs/StabAddre2line.java
	Work in progress.

2004-01-08 Hoda Amer
	Added Content assist log capabilities
	
2004-01-06 Alain Magloire

	Simple draft implementation of stabs debug format parsing.
	Not ready.

	* utils/org/eclipse/cdt/utils/stabs: New package implementing
	Stabs debug format parsing.

